summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 23:13:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 23:13:23 +0000
commit8d7d8a4cc6efbd1592e6ba51d14ef59dd56dfb0e (patch)
tree92757705cba19c221af8f1e263fe63f7eb451001
parent65b5c1ad7dcfe33bbce74ac31a46bc4b13b21318 (diff)
downloadbaldeagleos-repo-8d7d8a4cc6efbd1592e6ba51d14ef59dd56dfb0e.tar.gz
baldeagleos-repo-8d7d8a4cc6efbd1592e6ba51d14ef59dd56dfb0e.tar.xz
baldeagleos-repo-8d7d8a4cc6efbd1592e6ba51d14ef59dd56dfb0e.zip
Updating liguros repo
-rw-r--r--app-emulation/libvirt/Manifest2
-rw-r--r--app-emulation/libvirt/libvirt-6.10.0-r1.ebuild (renamed from app-emulation/libvirt/libvirt-6.10.0.ebuild)24
-rw-r--r--dev-go/go-bindata/Manifest2
-rw-r--r--dev-go/go-bindata/go-bindata-3.1.3.ebuild19
-rw-r--r--dev-go/go-bindata/go-bindata-3.21.0.ebuild20
-rw-r--r--dev-go/go-bindata/metadata.xml20
-rw-r--r--dev-libs/glib/Manifest1
-rw-r--r--dev-libs/glib/glib-2.66.3.ebuild291
-rw-r--r--dev-libs/pugixml/Manifest2
-rw-r--r--dev-libs/pugixml/pugixml-1.11.1.ebuild (renamed from dev-libs/pugixml/pugixml-1.11.ebuild)0
-rw-r--r--dev-libs/roct-thunk-interface/Manifest1
-rw-r--r--dev-libs/roct-thunk-interface/roct-thunk-interface-3.10.0.ebuild35
-rw-r--r--dev-lua/lua-argparse/metadata.xml2
-rw-r--r--dev-python/geventhttpclient/Manifest1
-rw-r--r--dev-python/geventhttpclient/geventhttpclient-1.4.5.ebuild49
-rw-r--r--dev-python/pygobject/Manifest1
-rw-r--r--dev-python/pygobject/pygobject-3.38.0.ebuild76
-rw-r--r--dev-python/tld/Manifest1
-rw-r--r--dev-python/tld/tld-0.12.3.ebuild16
-rw-r--r--dev-util/gdbus-codegen/Manifest1
-rw-r--r--dev-util/gdbus-codegen/gdbus-codegen-2.66.3.ebuild73
-rw-r--r--dev-util/glib-utils/Manifest1
-rw-r--r--dev-util/glib-utils/glib-utils-2.66.3.ebuild65
-rw-r--r--dev-util/gtk-doc-am/Manifest1
-rw-r--r--dev-util/gtk-doc-am/gtk-doc-am-1.33.1.ebuild33
-rw-r--r--dev-util/gtk-doc/Manifest1
-rw-r--r--dev-util/gtk-doc/gtk-doc-1.33.1.ebuild101
-rw-r--r--dev-util/rocm-cmake/Manifest1
-rw-r--r--dev-util/rocm-cmake/rocm-cmake-3.10.0.ebuild26
-rw-r--r--games-util/steam-launcher/Manifest2
-rw-r--r--games-util/steam-launcher/metadata.xml19
-rw-r--r--games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild (renamed from games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild)15
-rw-r--r--gnome-base/gnome-desktop/Manifest1
-rw-r--r--gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild71
-rw-r--r--gnome-base/gnome-shell/Manifest1
-rw-r--r--gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild186
-rw-r--r--gnome-extra/gnome-shell-extensions/Manifest1
-rw-r--r--gnome-extra/gnome-shell-extensions/gnome-shell-extensions-3.38.2.ebuild68
-rw-r--r--gnome-extra/nemo-fileroller/Manifest4
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild27
-rw-r--r--gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild31
-rw-r--r--net-analyzer/pypacker/pypacker-4.9.ebuild2
-rw-r--r--sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild2
-rw-r--r--sys-auth/pam_mount/Manifest1
-rw-r--r--sys-auth/pam_mount/pam_mount-2.17.ebuild52
-rw-r--r--sys-kernel/gentoo-kernel-bin/Manifest2
-rw-r--r--sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.81-r1.ebuild57
-rw-r--r--sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.9.12-r1.ebuild49
-rw-r--r--www-apache/libapreq2/libapreq2-2.15-r1.ebuild (renamed from www-apache/libapreq2/libapreq2-2.15.ebuild)5
-rw-r--r--x11-libs/libxcb/libxcb-1.14.ebuild1
-rw-r--r--x11-wm/mutter/Manifest1
-rw-r--r--x11-wm/mutter/mutter-3.38.2.ebuild145
53 files changed, 1542 insertions, 94 deletions
diff --git a/app-emulation/libvirt/Manifest b/app-emulation/libvirt/Manifest
index 2dd70837fb06..f08670f2237e 100644
--- a/app-emulation/libvirt/Manifest
+++ b/app-emulation/libvirt/Manifest
@@ -1,4 +1,4 @@
+DIST libvirt-6.10.0.tar.xz 8462796 BLAKE2B f1188cc869768682bdcb7ab763465705413ebc4fe418e37d4f5ef6a861507c4104a1844cd533fce905e24847918eba6e4e4f054f66b112e9fb54ee19a3653dfc SHA512 42e77a3542e9f15c3aeaab1639a80ee6539cb0f09a1e8324aa0059a8f6041acf20263a9556ac65c9a7a14693b0756020231085e4556ff54cf8329110018a2485
DIST libvirt-6.7.0.tar.xz 8362140 BLAKE2B d0afe33fcdaab3cc0f2ea8c552e7550bcece018b049a3b58e5c05ee85b39e2b3ebf42fa1b70ddb1d2a541d1114b6b49734f23a889b3589397a30a672f27a3a56 SHA512 cabfb6aa65a3a1412b0111654ad3a7d0a6dfc63399a892c540ca39ab4e56f87626a067037e4480bb55418a371d2b5e9ac74862c92a3cdea69822ec3d158d769f
DIST libvirt-6.8.0.tar.xz 8412092 BLAKE2B c118ca6b263054bb6941c62f3d1415f7ed1a3f29a35294272d04bc726643247ee5691e0310a1bf013faeba856d7aadd00a90fe8dbdca6ff4c7eb480e94d92fa2 SHA512 9b69f3dcceb5e40470a78908654faf51b643f6793e556f3115daa4bfe08743af290882dd51f15eb27c38d589eb210d495de7c44a40b363420ab4f4d3a6393cc9
DIST libvirt-6.9.0.tar.xz 8432360 BLAKE2B 5cf577017158bab3ec5ad55e8e5944f4efd88cb3eb5460355ad0bfc1a30dba5c607b5b3523b8f9095552c494129ccb19bb89a6a0791469d5d47052c2375fa940 SHA512 ca9aed93589e91d383f9a5bddf5ba9fa20b849ba3b302017d625ba4910a0f942d1531006ddeaaa2622d121808105dec6e9bcb0c867f62e2fc546ce043675e175
-DIST libvirt-6.10.0.tar.xz 8462796 BLAKE2B f1188cc869768682bdcb7ab763465705413ebc4fe418e37d4f5ef6a861507c4104a1844cd533fce905e24847918eba6e4e4f054f66b112e9fb54ee19a3653dfc SHA512 42e77a3542e9f15c3aeaab1639a80ee6539cb0f09a1e8324aa0059a8f6041acf20263a9556ac65c9a7a14693b0756020231085e4556ff54cf8329110018a2485
diff --git a/app-emulation/libvirt/libvirt-6.10.0.ebuild b/app-emulation/libvirt/libvirt-6.10.0-r1.ebuild
index 6168a6c74993..dad5d497da71 100644
--- a/app-emulation/libvirt/libvirt-6.10.0.ebuild
+++ b/app-emulation/libvirt/libvirt-6.10.0-r1.ebuild
@@ -22,9 +22,9 @@ DESCRIPTION="C toolkit to manipulate virtual machines"
HOMEPAGE="https://www.libvirt.org/"
LICENSE="LGPL-2.1"
IUSE="
- apparmor audit +caps +dbus dtrace firewalld fuse glusterfs iscsi
- iscsi-direct +libvirtd lvm libssh lxc +macvtap nfs nls numa openvz
- parted pcap policykit +qemu rbd sasl selinux +udev +vepa
+ apparmor audit +caps dtrace firewalld fuse glusterfs iscsi
+ iscsi-direct +libvirtd lvm libssh lxc nfs nls numa openvz
+ parted pcap policykit +qemu rbd sasl selinux +udev
virtualbox +virt-network wireshark-plugins xen zfs
"
@@ -33,9 +33,7 @@ REQUIRED_USE="
libvirtd? ( || ( lxc openvz qemu virtualbox xen ) )
lxc? ( caps libvirtd )
openvz? ( libvirtd )
- policykit? ( dbus )
qemu? ( libvirtd )
- vepa? ( macvtap )
virt-network? ( libvirtd )
virtualbox? ( libvirtd )
xen? ( libvirtd )"
@@ -67,6 +65,7 @@ RDEPEND="
net-libs/libtirpc
net-libs/rpcsvc-proto
>=net-misc/curl-7.18.0
+ sys-apps/dbus
sys-apps/dmidecode
sys-devel/gettext
sys-libs/ncurses:0=
@@ -74,7 +73,6 @@ RDEPEND="
apparmor? ( sys-libs/libapparmor )
audit? ( sys-process/audit )
caps? ( sys-libs/libcap-ng )
- dbus? ( sys-apps/dbus )
dtrace? ( dev-util/systemtap )
firewalld? ( >=net-firewall/firewalld-0.6.3 )
fuse? ( sys-fs/fuse:0= )
@@ -171,9 +169,6 @@ pkg_setup() {
kernel_is lt 4 7 && use lxc && CONFIG_CHECK+="
~DEVPTS_MULTIPLE_INSTANCES"
- use macvtap && CONFIG_CHECK+="
- ~MACVTAP"
-
use virt-network && CONFIG_CHECK+="
~BRIDGE_EBT_MARK_T
~BRIDGE_NF_EBTABLES
@@ -230,7 +225,6 @@ src_configure() {
$(meson_use apparmor apparmor_profiles)
$(meson_feature audit)
$(meson_feature caps capng)
- $(meson_feature dbus)
$(meson_feature dtrace)
$(meson_feature firewalld)
$(meson_feature fuse)
@@ -243,7 +237,6 @@ src_configure() {
$(meson_feature lvm storage_lvm)
$(meson_feature lvm storage_mpath)
$(meson_feature lxc driver_lxc)
- $(meson_feature macvtap)
$(meson_feature nls)
$(meson_feature numa numactl)
$(meson_feature numa numad)
@@ -257,14 +250,12 @@ src_configure() {
$(meson_feature sasl)
$(meson_feature selinux)
$(meson_feature udev)
- $(meson_feature vepa virtualport)
$(meson_feature virt-network driver_network)
$(meson_feature virtualbox driver_vbox)
$(meson_feature wireshark-plugins wireshark_dissector)
$(meson_feature xen driver_libxl)
$(meson_feature zfs storage_zfs)
- -Dhal=disabled
-Dnetcf=disabled
-Dsanlock=disabled
@@ -284,13 +275,6 @@ src_configure() {
}
src_test() {
- # remove problematic tests, bug #591416, bug #591418
- sed -i -e 's#commandtest$(EXEEXT) # #' \
- -e 's#virfirewalltest$(EXEEXT) # #' \
- -e 's#nwfilterebiptablestest$(EXEEXT) # #' \
- -e 's#nwfilterxml2firewalltest$(EXEEXT)$##' \
- tests/Makefile
-
export VIR_TEST_DEBUG=1
meson_src_test
}
diff --git a/dev-go/go-bindata/Manifest b/dev-go/go-bindata/Manifest
index e89354dd767c..bab3f4c9d656 100644
--- a/dev-go/go-bindata/Manifest
+++ b/dev-go/go-bindata/Manifest
@@ -1 +1 @@
-DIST go-bindata-3.1.3.tar.gz 21280 BLAKE2B cf54b50113006f02eeab47312fcf1eaa1e4b820847ee9c579318a5aac0b720648f73cbf3d2d41e120ea79b65dc3dcfa32accaff16ed4610bcf9a9dd317e9d819 SHA512 870f939cfb07b43c54000d39fa37e8151ca5c20d13eac9bde59e7ec3e2693d8386a1ea4b5372171dac42f8a4f69a754445cb9a4fa51a7a7ba9ec54f3e8a2a2f6
+DIST go-bindata-3.21.0.tar.gz 15615959 BLAKE2B b635869202025992a7f92645de7aa96fadd18f5c99d5e312a1e645712940d05342e192401eb5aec04aac72c50b17d1fe370ef317356d47a40141cec3dc8f01a7 SHA512 004b9f0389d26f82d1419e8e8ad249d33583e85c4b4aaa4e36215bd5289a24146a237bcb55b9d51ff29c1b01ebd822ff60dcf205cb73d34f810e6838df172265
diff --git a/dev-go/go-bindata/go-bindata-3.1.3.ebuild b/dev-go/go-bindata/go-bindata-3.1.3.ebuild
deleted file mode 100644
index 10d5d8179d7e..000000000000
--- a/dev-go/go-bindata/go-bindata-3.1.3.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 2020 Liguros Authors
-# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-inherit golang-build golang-vcs-snapshot
-
-EGO_PN="github.com/go-bindata/go-bindata/..."
-KEYWORDS="amd64 ~arm ~arm64"
-
-DESCRIPTION="A small utility which generates Go code from any file"
-HOMEPAGE="https://github.com/go-bindata/go-bindata"
-SRC_URI="https://github.com/go-bindata/go-bindata/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="CC-PD"
-SLOT="0/${PVR}"
-
-src_install() {
- GOBIN=${S}/bin \
- golang-build_src_install
- dobin bin/*
-}
diff --git a/dev-go/go-bindata/go-bindata-3.21.0.ebuild b/dev-go/go-bindata/go-bindata-3.21.0.ebuild
new file mode 100644
index 000000000000..02d914964278
--- /dev/null
+++ b/dev-go/go-bindata/go-bindata-3.21.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2020 Go Overlay Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# NOTE: The original github.com/jteeuwen/go-bindata is no more maintained.
+# Instead, we use a fork which is API compatible.
+# For more details, see https://github.com/Dr-Terrible/go-overlay/issues/76
+GOLANG_PKG_IMPORTPATH="github.com/kevinburke"
+GOLANG_PKG_ARCHIVEPREFIX="v"
+GOLANG_PKG_IS_MULTIPLE=1
+GOLANG_PKG_HAVE_TEST=1
+
+inherit golang-single
+
+DESCRIPTION="A small utility for embedding binary data in a GoLang program."
+
+LICENSE="CC0-1.0"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 x86"
diff --git a/dev-go/go-bindata/metadata.xml b/dev-go/go-bindata/metadata.xml
index 8c1d74d431e9..0afda6620771 100644
--- a/dev-go/go-bindata/metadata.xml
+++ b/dev-go/go-bindata/metadata.xml
@@ -1,12 +1,18 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
+ <maintainer type="person">
+ <email>toffanin.mauro@gmail.com</email>
+ <name>Mauro Toffanin</name>
+ <description>Maintainer. Assign bugs to him</description>
+ </maintainer>
<upstream>
- <remote-id type="github">jteeuwen/go-bindata</remote-id>
+ <bugs-to>https://github.com/jteeuwen/go-bindata/issues</bugs-to>
</upstream>
- <origin>ports</origin>
+ <longdescription lang="en">
+ This package converts any file into managable Go source code. Useful for
+ embedding binary data into a go program. The file data is optionally
+ gzip compressed before being converted to a raw byte slice.
+ </longdescription>
+ <origin>go-overlay</origin>
</pkgmetadata>
diff --git a/dev-libs/glib/Manifest b/dev-libs/glib/Manifest
index d03bf64f00d2..6336f5dac126 100644
--- a/dev-libs/glib/Manifest
+++ b/dev-libs/glib/Manifest
@@ -1,3 +1,4 @@
DIST glib-2.62.6.tar.xz 4703424 BLAKE2B 0a27245be2575c574dcc730dd051a8c284f421dbc46579aadc5fbbacb8f934af4374b61bb26085e5c9ab78a868c567818f3fb9d67adddce37f5c4fec00e0d276 SHA512 8e3972a371f3c1a50b7d245b30e4f740583ad72ba4ab325e0e15e0732be44dfb69b603fb39dcf4989255a23a181e9ea5dd25982dd94c386cd9f21952243ad6f5
DIST glib-2.64.5.tar.xz 4778456 BLAKE2B 7fdee0e16a7ac820f4c4f7dc66d37add464d3005e89e6013302d3ef103319331811d68e9b42db072b82242c3d7badfbd085b69333e770012def89dc8aae7a2eb SHA512 a87537274619b6de88a0e68555059036ac18c748b5005c8d84728646b0db342fde0b8c5b303b9ad79f64d71ea4ed990d52a4fbd68cda3ca74aed5fe4d497e060
DIST glib-2.66.2.tar.xz 4836456 BLAKE2B 5484a7fe497dbe06df7ce11dbc8836c95dbb01e6e309516b82158f2915eeee36ccbe6e904cb6ae9a5a0223ccc0b52f6e64d61a418bf790538bc90388430977b2 SHA512 30278c066c6b209f45fcfdb9ffc4732236451464506b93c0fff0964ff8aac58c15be85c3793c686d4740d9d97857984bc0ab71e38d5da11c5fd860e569fb6cb9
+DIST glib-2.66.3.tar.xz 4837796 BLAKE2B 44632477b56bea5b6324deccc17e2d6b72e00dba518f9fc3ec5edad8b20df59f8bf9087e5de16b587b72c2f143d9ab650c478666132b1564da9bf333f380a4e3 SHA512 ab2670ae4eeb3b561c0e71ff9153908f450e430cd43771bfee09233a65826dc16462537ec64bdfcced867f4c8663341b6b9d17af5ba0fab8564b8f21b04a45d7
diff --git a/dev-libs/glib/glib-2.66.3.ebuild b/dev-libs/glib/glib-2.66.3.ebuild
new file mode 100644
index 000000000000..a4bb649f1b22
--- /dev/null
+++ b/dev-libs/glib/glib-2.66.3.ebuild
@@ -0,0 +1,291 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+inherit flag-o-matic gnome.org gnome2-utils linux-info meson multilib multilib-minimal python-any-r1 toolchain-funcs xdg
+
+DESCRIPTION="The GLib library of C routines"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+IUSE="dbus debug elibc_glibc fam gtk-doc kernel_linux +mime selinux static-libs sysprof systemtap test utils xattr"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+# * libelf isn't strictly necessary, but makes gresource tool more useful, and
+# the check is automagic in gio/meson.build. gresource is not a multilib tool
+# right now, thus it doesn't matter if non-native ABI libelf exists or not
+# (non-native binary is overwritten, it doesn't matter if libelf was linked to).
+# * elfutils (via libelf) does not build on Windows. gresources are not embedded
+# within ELF binaries on that platform anyway and inspecting ELF binaries from
+# other platforms is not that useful so exclude the dependency in this case.
+# * Technically static-libs is needed on zlib, util-linux and perhaps more, but
+# these are used by GIO, which glib[static-libs] consumers don't really seem
+# to need at all, thus not imposing the deps for now and once some consumers
+# are actually found to static link libgio-2.0.a, we can revisit and either add
+# them or just put the (build) deps in that rare consumer instead of recursive
+# RDEPEND here (due to lack of recursive DEPEND).
+RDEPEND="
+ !<dev-util/gdbus-codegen-2.66.0
+ >=virtual/libiconv-0-r1[${MULTILIB_USEDEP}]
+ >=dev-libs/libpcre-8.31:3[${MULTILIB_USEDEP},static-libs?]
+ >=dev-libs/libffi-3.0.13-r1:=[${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]
+ >=virtual/libintl-0-r2[${MULTILIB_USEDEP}]
+ kernel_linux? ( >=sys-apps/util-linux-2.23[${MULTILIB_USEDEP}] )
+ selinux? ( >=sys-libs/libselinux-2.2.2-r5[${MULTILIB_USEDEP}] )
+ xattr? ( !elibc_glibc? ( >=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}] ) )
+ !kernel_Winnt? ( virtual/libelf:0= )
+ fam? ( >=virtual/fam-0-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ sysprof? ( >=dev-util/sysprof-capture-3.38:4[${MULTILIB_USEDEP}] )
+"
+# libxml2 used for optional tests that get automatically skipped
+BDEPEND="
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ >=sys-devel/gettext-0.19.8
+ gtk-doc? ( >=dev-util/gtk-doc-1.33
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5 )
+ systemtap? ( >=dev-util/systemtap-1.3 )
+ ${PYTHON_DEPS}
+ test? ( >=sys-apps/dbus-1.2.14 )
+ virtual/pkgconfig
+"
+# TODO: >=dev-util/gdbus-codegen-${PV} test dep once we modify gio/tests/meson.build to use external gdbus-codegen
+
+PDEPEND="
+ dbus? ( gnome-base/dconf )
+ mime? ( x11-misc/shared-mime-info )
+"
+# shared-mime-info needed for gio/xdgmime, bug #409481
+# dconf is needed to be able to save settings, bug #498436
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/gio-querymodules$(get_exeext)
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.64.1-mark-gdbus-server-auth-test-flaky.patch
+)
+
+pkg_setup() {
+ if use kernel_linux ; then
+ CONFIG_CHECK="~INOTIFY_USER"
+ if use test ; then
+ CONFIG_CHECK="~IPV6"
+ WARNING_IPV6="Your kernel needs IPV6 support for running some tests, skipping them."
+ fi
+ linux-info_pkg_setup
+ fi
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ if use test; then
+ # TODO: Review the test exclusions, especially now with meson
+ # Disable tests requiring dev-util/desktop-file-utils when not installed, bug #286629, upstream bug #629163
+ if ! has_version dev-util/desktop-file-utils ; then
+ ewarn "Some tests will be skipped due dev-util/desktop-file-utils not being present on your system,"
+ ewarn "think on installing it to get these tests run."
+ sed -i -e "/appinfo\/associations/d" gio/tests/appinfo.c || die
+ sed -i -e "/g_test_add_func/d" gio/tests/desktop-app-info.c || die
+ fi
+
+ # gdesktopappinfo requires existing terminal (gnome-terminal or any
+ # other), falling back to xterm if one doesn't exist
+ #if ! has_version x11-terms/xterm && ! has_version x11-terms/gnome-terminal ; then
+ # ewarn "Some tests will be skipped due to missing terminal program"
+ # These tests seem to sometimes fail even with a terminal; skip for now and reevulate with meson
+ # Also try https://gitlab.gnome.org/GNOME/glib/issues/1601 once ready for backport (or in a bump) and file new issue if still fails
+ sed -i -e "/appinfo\/launch/d" gio/tests/appinfo.c || die
+ # desktop-app-info/launch* might fail similarly
+ sed -i -e "/desktop-app-info\/launch-as-manager/d" gio/tests/desktop-app-info.c || die
+ #fi
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=722604
+ sed -i -e "/timer\/stop/d" glib/tests/timer.c || die
+ sed -i -e "/timer\/basic/d" glib/tests/timer.c || die
+
+ ewarn "Tests for search-utils have been skipped"
+ sed -i -e "/search-utils/d" glib/tests/meson.build || die
+
+ # Play nice with network-sandbox, but this approach would defeat the purpose of the test
+ #sed -i -e "s/localhost/127.0.0.1/g" gio/tests/gsocketclient-slow.c || die
+ else
+ # Don't build tests, also prevents extra deps, bug #512022
+ sed -i -e '/subdir.*tests/d' {.,gio,glib}/meson.build || die
+ fi
+
+ # Don't build fuzzing binaries - not used
+ sed -i -e '/subdir.*fuzzing/d' meson.build || die
+
+ # gdbus-codegen is a separate package
+ sed -i -e '/install_dir/d' gio/gdbus-2.0/codegen/meson.build || die
+
+ # Same kind of meson-0.50 issue with some installed-tests files; will likely be fixed upstream soon
+ sed -i -e '/install_dir/d' gio/tests/meson.build || die
+
+ cat > "${T}/glib-test-ld-wrapper" <<-EOF
+ #!/usr/bin/env sh
+ exec \${LD:-ld} "\$@"
+ EOF
+ chmod a+x "${T}/glib-test-ld-wrapper" || die
+ sed -i -e "s|'ld'|'${T}/glib-test-ld-wrapper'|g" gio/tests/meson.build || die
+
+ xdg_src_prepare
+ gnome2_environment_reset
+ # TODO: python_name sedding for correct python shebang? Might be relevant mainly for glib-utils only
+}
+
+multilib_src_configure() {
+ if use debug; then
+ append-cflags -DG_ENABLE_DEBUG
+ else
+ append-cflags -DG_DISABLE_CAST_CHECKS # https://gitlab.gnome.org/GNOME/glib/issues/1833
+ fi
+
+ # TODO: figure a way to pass appropriate values for all cross properties that glib uses (search for get_cross_property)
+ #if tc-is-cross-compiler ; then
+ # https://bugzilla.gnome.org/show_bug.cgi?id=756473
+ # TODO-meson: This should be in meson cross file as 'growing_stack' property; and more, look at get_cross_property
+ #case ${CHOST} in
+ #hppa*|metag*) export glib_cv_stack_grows=yes ;;
+ #*) export glib_cv_stack_grows=no ;;
+ #esac
+ #fi
+
+ local emesonargs=(
+ -Ddefault_library=$(usex static-libs both shared)
+ $(meson_feature selinux)
+ $(meson_use xattr)
+ -Dlibmount=enabled # only used if host_system == 'linux'
+ -Dinternal_pcre=false
+ -Dman=true
+ $(meson_use systemtap dtrace)
+ $(meson_use systemtap)
+ $(meson_feature sysprof)
+ -Dgtk_doc=$(multilib_native_usex gtk-doc true false)
+ $(meson_use fam)
+ -Dinstalled_tests=false
+ -Dnls=enabled
+ -Doss_fuzz=disabled
+ )
+ meson_src_configure
+}
+
+multilib_src_compile() {
+ meson_src_compile
+}
+
+multilib_src_test() {
+ export XDG_CONFIG_DIRS=/etc/xdg
+ export XDG_DATA_DIRS=/usr/local/share:/usr/share
+ export G_DBUS_COOKIE_SHA1_KEYRING_DIR="${T}/temp"
+ export LC_TIME=C # bug #411967
+ unset GSETTINGS_BACKEND # bug #596380
+ python_setup
+
+ # Related test is a bit nitpicking
+ mkdir "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
+ chmod 0700 "$G_DBUS_COOKIE_SHA1_KEYRING_DIR"
+
+ meson_src_test --timeout-multiplier 2 --no-suite flaky
+}
+
+multilib_src_install() {
+ meson_src_install
+ keepdir /usr/$(get_libdir)/gio/modules
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # These are installed by dev-util/glib-utils
+ # TODO: With patching we might be able to get rid of the python-any deps and removals, and test depend on glib-utils instead; revisit now with meson
+ rm "${ED}/usr/bin/glib-genmarshal" || die
+ rm "${ED}/usr/share/man/man1/glib-genmarshal.1" || die
+ rm "${ED}/usr/bin/glib-mkenums" || die
+ rm "${ED}/usr/share/man/man1/glib-mkenums.1" || die
+ rm "${ED}/usr/bin/gtester-report" || die
+ rm "${ED}/usr/share/man/man1/gtester-report.1" || die
+ # gdbus-codegen manpage installed by dev-util/gdbus-codegen
+ rm "${ED}/usr/share/man/man1/gdbus-codegen.1" || die
+}
+
+pkg_preinst() {
+ xdg_pkg_preinst
+
+ # Make gschemas.compiled belong to glib alone
+ local cache="/usr/share/glib-2.0/schemas/gschemas.compiled"
+
+ if [[ -e ${EROOT}${cache} ]]; then
+ cp "${EROOT}"${cache} "${ED}"/${cache} || die
+ else
+ touch "${ED}"${cache} || die
+ fi
+
+ multilib_pkg_preinst() {
+ # Make giomodule.cache belong to glib alone
+ local cache="/usr/$(get_libdir)/gio/modules/giomodule.cache"
+
+ if [[ -e ${EROOT}${cache} ]]; then
+ cp "${EROOT}"${cache} "${ED}"${cache} || die
+ else
+ touch "${ED}"${cache} || die
+ fi
+ }
+
+ # Don't run the cache ownership when cross-compiling, as it would end up with an empty cache
+ # file due to inability to create it and GIO might not look at any of the modules there
+ if ! tc-is-cross-compiler ; then
+ multilib_foreach_abi multilib_pkg_preinst
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ # glib installs no schemas itself, but we force update for fresh install in case
+ # something has dropped in a schemas file without direct glib dep; and for upgrades
+ # in case the compiled schema format could have changed
+ gnome2_schemas_update
+
+ multilib_pkg_postinst() {
+ gnome2_giomodule_cache_update \
+ || die "Update GIO modules cache failed (for ${ABI})"
+ }
+ if ! tc-is-cross-compiler ; then
+ multilib_foreach_abi multilib_pkg_postinst
+ else
+ ewarn "Updating of GIO modules cache skipped due to cross-compilation."
+ ewarn "You might want to run gio-querymodules manually on the target for"
+ ewarn "your final image for performance reasons and re-run it when packages"
+ ewarn "installing GIO modules get upgraded or added to the image."
+ fi
+
+ for v in ${REPLACING_VERSIONS}; do
+ if ver_test "$v" "-lt" "2.63.6"; then
+ ewarn "glib no longer installs the gio-launch-desktop binary. You may need"
+ ewarn "to restart your session for \"Open With\" dialogs to work."
+ fi
+ done
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+
+ if [[ -z ${REPLACED_BY_VERSION} ]]; then
+ multilib_pkg_postrm() {
+ rm -f "${EROOT}"/usr/$(get_libdir)/gio/modules/giomodule.cache
+ }
+ multilib_foreach_abi multilib_pkg_postrm
+ rm -f "${EROOT}"/usr/share/glib-2.0/schemas/gschemas.compiled
+ fi
+}
diff --git a/dev-libs/pugixml/Manifest b/dev-libs/pugixml/Manifest
index 94c5c0c144f7..46aaf2d36312 100644
--- a/dev-libs/pugixml/Manifest
+++ b/dev-libs/pugixml/Manifest
@@ -1,2 +1,2 @@
DIST pugixml-1.10.tar.gz 381990 BLAKE2B ea446d11fe5213a5250b7e737a9e80a3976454724e1a1c326b689214ad4d3e183abd417a7782b3d5c68a0aabce42228e121352e4d2dd33f5f2bb2334f6c72c27 SHA512 bfc80661005d0a0fb82ca6d5299e5efdd1bb468e11ee52d7ee9367e15776d28efb60266ce03842715cd43aae023afc2b369797bb3cbecd6d6a65c3ae3903e469
-DIST pugixml-1.11.tar.gz 385889 BLAKE2B e3acd45c396f56e4bd4d265f4fcb68fd5c8127acc5aaaf147ff7d50ac8340cef14b31369ca09762f1d3be9781b13f30a6976244cf99bdb4aec6f737e7bf9413d SHA512 a559be72910dc6d9d74c32f1b5389b173bc92858f627e61007a5f2284da251d8511e08571b870e7c6ce6e18cf42ef42fdb10f8b30b608067b452ccb9105d5ade
+DIST pugixml-1.11.1.tar.gz 386133 BLAKE2B d3a83a8be1b3e6605d7c9a6dcd48e4d467b44c2070238a01d1f0a511d2936a7a01efb26b080a4beceec7f02869e10392c3023c62d3e84eb94949ebefaceb73f9 SHA512 ab8da8744c4594a947d731a876717287892b64195d44d6e1c518bee5fb712a45b23ac763b12af0ad20c6f2cb74f6b1bae1a68fa90f786851aa6d3f139a32eda6
diff --git a/dev-libs/pugixml/pugixml-1.11.ebuild b/dev-libs/pugixml/pugixml-1.11.1.ebuild
index 0750359ebd79..0750359ebd79 100644
--- a/dev-libs/pugixml/pugixml-1.11.ebuild
+++ b/dev-libs/pugixml/pugixml-1.11.1.ebuild
diff --git a/dev-libs/roct-thunk-interface/Manifest b/dev-libs/roct-thunk-interface/Manifest
index a9454a20d237..676a4a452ee4 100644
--- a/dev-libs/roct-thunk-interface/Manifest
+++ b/dev-libs/roct-thunk-interface/Manifest
@@ -1,3 +1,4 @@
+DIST roct-thunk-interface-3.10.0.tar.gz 2694321 BLAKE2B c743e2df8133a382f62f0cac3b73eb1a1ce74efcf5970a7b07b7ec0f16a6c7d39a44112d62e32bd9f5d7c2b984e3aea31d7d8a8b1658f9608b6a3c283e12ad24 SHA512 c5a447be0b4a3df886446c2066e193c4e0064b2868103e248a6adba8e7f12aed49112647747ad16d3b115f9f74946c317360396e7c5f3e0cac43b349fcfd33d4
DIST roct-thunk-interface-3.7.0.tar.gz 2692297 BLAKE2B 5a060becb1b35e4eb499de5c177b5747789f02036d6e1bbf241a4054430e819bab4c188aa83f1cec0d35c80a3c0af47298fdd1c34d272f693dac9da191d8d111 SHA512 307e88808d3c852837f81c8745181edaa46e0f205fa36b9af531661c9a6a2dee5f360eb14e9f607376f27969e438f075dd44336606803ae2f7ce597f7fe46135
DIST roct-thunk-interface-3.8.0.tar.gz 2692624 BLAKE2B bb0d288da08081de63f3848987eb86a319c977250052b8bcccdd221b31167d2b344ecd17163aafe1fa5e7a4372248510af77c4ed992c39e71de05452b0b83a8c SHA512 b60461869f916791b702fb7a551978dd741873925154cb5980612f71bb19000f73fda8c1becb5e3482be872790d6cc8c34dfe3484349796c9fab2fedafef525b
DIST roct-thunk-interface-3.9.0.tar.gz 2692605 BLAKE2B e256217aa8410eb3a1cbb430509c7426e2b00f4ad0a0a3d14879fc116a112e9d10e50b0e2d336f04bc52d98f0d98afda5195565995c6d8b64101132e9c71746c SHA512 eb0d3abaae1aa92f60eeb58ef07bf6dd0f954488e2e05bcf30cb75aa772430c49a3103b0498208c7f8f8fd35fb5d91f0f8c056064ce595263e1737e8f72ba462
diff --git a/dev-libs/roct-thunk-interface/roct-thunk-interface-3.10.0.ebuild b/dev-libs/roct-thunk-interface/roct-thunk-interface-3.10.0.ebuild
new file mode 100644
index 000000000000..ee5be506ed83
--- /dev/null
+++ b/dev-libs/roct-thunk-interface/roct-thunk-interface-3.10.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake linux-info
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/ROCT-Thunk-Interface-rocm-${PV}"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Thunk Interface"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface"
+CONFIG_CHECK="~HSA_AMD ~HMM_MIRROR ~ZONE_DEVICE ~DRM_AMDGPU ~DRM_AMDGPU_USERPTR"
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+RDEPEND="sys-process/numactl"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ sed -e "s:get_version ( \"1.0.0\" ):get_version ( \"${PV}\" ):" -i CMakeLists.txt || die
+ cmake_src_prepare
+}
+src_configure() {
+ local mycmakeargs=(
+ -DCPACK_PACKAGING_INSTALL_PREFIX="${EPREFIX}/usr"
+ )
+ cmake_src_configure
+}
diff --git a/dev-lua/lua-argparse/metadata.xml b/dev-lua/lua-argparse/metadata.xml
index 9af39e4675f5..cabb9e439387 100644
--- a/dev-lua/lua-argparse/metadata.xml
+++ b/dev-lua/lua-argparse/metadata.xml
@@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>conikost@gmail.com</email>
+ <email>conikost@gentoo.org</email>
<name>Conrad Kostecki</name>
</maintainer>
<maintainer type="person">
diff --git a/dev-python/geventhttpclient/Manifest b/dev-python/geventhttpclient/Manifest
index fc79f7d24ceb..f79e41f622b7 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1 +1,2 @@
DIST geventhttpclient-1.4.4.tar.gz 57620 BLAKE2B 20b60cfa7e8221b050bfd95a6e23c2f3eee87c0df1e93171719c7ba1804e88c918471cdd01cf4c6020fb6d44d0a1b911ee09dd44cc1e150b5d18d6052f2904cf SHA512 c6a8580707f3178a3a55eb638b9e3f36f82aecbd8a5ce044f0b8c167d88ad2bec584275bed6b720a5f7a546b0ffd113bec28dd2e1ff4290c60f0b5e13542b737
+DIST geventhttpclient-1.4.5.tar.gz 58183 BLAKE2B 48d44048e7040552824ed19ac49c6dda41536ffded56bae0d942c06f111a327a1d571872f35f388853b479ea1aaa6de518f86e7ee72e362360492530ade65131 SHA512 9ffe00c79b145dab104e1dce336e072060f315d9bee880daf64b5f1f52e661d810dab9a60286320a7d30cf0e794465f201c039cc31fe7ec325cdb3a8350c9f7d
diff --git a/dev-python/geventhttpclient/geventhttpclient-1.4.5.ebuild b/dev-python/geventhttpclient/geventhttpclient-1.4.5.ebuild
new file mode 100644
index 000000000000..ab1e29011ef1
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-1.4.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python using gevent"
+HOMEPAGE="https://github.com/gwik/geventhttpclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Avoid ModuleNotFoundError for tests we skip later
+ sed -i '/^import dpkt.ssl/d' src/geventhttpclient/tests/test_ssl.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local skipped_tests=(
+ # These SNI tests require dpkt which is not in the tree
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+ src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+ )
+ # Append to sys.path to avoid ImportError
+ # https://bugs.gentoo.org/667758
+ # Skip tests which require internet access
+ pytest --import-mode=append -vv ${skipped_tests[@]/#/--deselect } \
+ -m "not online" || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/pygobject/Manifest b/dev-python/pygobject/Manifest
index c36dda5234e9..13c986de10c6 100644
--- a/dev-python/pygobject/Manifest
+++ b/dev-python/pygobject/Manifest
@@ -1,2 +1,3 @@
DIST pygobject-3.34.0.tar.xz 552268 BLAKE2B a9cbeb644e0aa1b23067b591fe5c6299741395656631d39782a8c183a5d3a8e5e7f1a81acdefee186b7cc2bc34dda9271468b1828d5b9613ddc1256e24f1ecb8 SHA512 782195d22e564b88dea8d43469f0111f398b44b51a63df2fe7d07650af94d5cd037f322a5d7e405338823be3419fcdbf0113fe50b220ab1cfd07d4d01dbc4766
DIST pygobject-3.36.1.tar.xz 556568 BLAKE2B cd38aec8e71ff230926327e77867d07ae0fd5549b71619301bb3be01821ea93e557ecf335ea238292176981a864b269eaa2a86da47e8fb320f187f54caf24dc4 SHA512 5e00dcd03dfe4f92acbf827c13c164b6b9740b2a8cef3b2dce70f96a2156fee2411c84dc669f12b910f4a93daa03ba845282832e2b09d8c887102d43764a345f
+DIST pygobject-3.38.0.tar.xz 553892 BLAKE2B d6add416c3f87ee9d5a56f30dbcaa599682ec5932b204f7c743d50475503ea2705e7943e6a93610d6f1c9d322723d1df6ea0f19c1cf245b2ca7d49395ca36170 SHA512 d63313dea2c143cf8c08a4678f1aa8e5908d503ad29c596eeb9fa1070e1231de57cf934c33031f9c4920b85e391f3b4143b46491ffd16e04e8d48871cb05e5df
diff --git a/dev-python/pygobject/pygobject-3.38.0.ebuild b/dev-python/pygobject/pygobject-3.38.0.ebuild
new file mode 100644
index 000000000000..eb5929da7c8d
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.38.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+inherit gnome.org meson python-r1 virtualx xdg
+
+DESCRIPTION="Python bindings for GObject Introspection"
+HOMEPAGE="https://pygobject.readthedocs.io/"
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.48:2
+ >=dev-libs/gobject-introspection-1.54:=
+ dev-libs/libffi:=
+ cairo? (
+ >=dev-python/pycairo-1.11.1[${PYTHON_USEDEP}]
+ x11-libs/cairo[glib] )
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-libs/atk[introspection]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf:2[introspection,jpeg]
+ x11-libs/gtk+:3[introspection]
+ x11-libs/pango[introspection]
+ )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ configuring() {
+ meson_src_configure \
+ $(meson_feature cairo pycairo) \
+ $(meson_use test tests) \
+ -Dpython="${EPYTHON}"
+ }
+
+ python_foreach_impl configuring
+}
+
+src_compile() {
+ python_foreach_impl meson_src_compile
+}
+
+src_test() {
+ local -x GIO_USE_VFS="local" # prevents odd issues with deleting ${T}/.gvfs
+ local -x GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related failures in chroots, bug #449484
+
+ testing() {
+ local -x XDG_CACHE_HOME="${T}/${EPYTHON}"
+ meson_src_test || die "test failed for ${EPYTHON}"
+ }
+ virtx python_foreach_impl testing
+}
+
+src_install() {
+ installing() {
+ meson_src_install
+ python_optimize
+ }
+ python_foreach_impl installing
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/tld/Manifest b/dev-python/tld/Manifest
index b6b584f086b7..6c2bfc01892d 100644
--- a/dev-python/tld/Manifest
+++ b/dev-python/tld/Manifest
@@ -1 +1,2 @@
DIST tld-0.12.2.tar.gz 1347015 BLAKE2B d284581917a9ddee026d316961f2cdc6efc8a3c8dee8112c7266d55a9493f1aca831db0635db02b737bb3e02b3910a8822e121a5317ab02f5078075839e02c91 SHA512 b997bd3cdf22f65862c9b3e7d446014325d9538dd06eeed86f4b9b6c6ba440829b5d611cc19fed9bf8bf039ef01c4258c71b5c765bbecdfc345dd00e73c7fca1
+DIST tld-0.12.3.tar.gz 1498596 BLAKE2B 7a1d33c3527bc1dfeb18bfcc5af4d153f9cc39b52e858f4ac5907d0edece67da6bb6f900d028937bafb468b31534ed284a54effae6d97397dd33e27261af3730 SHA512 fe33bb18bceea6e1eb4ba3ca46dc54c81a8d3a1f4187078488676b951e6734a885a44525f6f5c4dc8c2fea1b0f4ffd8060244fbf33f9b1bd9dfafbec12876711
diff --git a/dev-python/tld/tld-0.12.3.ebuild b/dev-python/tld/tld-0.12.3.ebuild
new file mode 100644
index 000000000000..ea19eaddd560
--- /dev/null
+++ b/dev-python/tld/tld-0.12.3.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Extract the top level domain (TLD) from the URL given"
+HOMEPAGE="https://github.com/barseghyanartur/tld"
+SRC_URI="https://github.com/barseghyanartur/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
diff --git a/dev-util/gdbus-codegen/Manifest b/dev-util/gdbus-codegen/Manifest
index 23280c5f0ea7..cd82316c7f3a 100644
--- a/dev-util/gdbus-codegen/Manifest
+++ b/dev-util/gdbus-codegen/Manifest
@@ -1,3 +1,4 @@
DIST glib-2.62.6.tar.xz 4703424 BLAKE2B 0a27245be2575c574dcc730dd051a8c284f421dbc46579aadc5fbbacb8f934af4374b61bb26085e5c9ab78a868c567818f3fb9d67adddce37f5c4fec00e0d276 SHA512 8e3972a371f3c1a50b7d245b30e4f740583ad72ba4ab325e0e15e0732be44dfb69b603fb39dcf4989255a23a181e9ea5dd25982dd94c386cd9f21952243ad6f5
DIST glib-2.64.5.tar.xz 4778456 BLAKE2B 7fdee0e16a7ac820f4c4f7dc66d37add464d3005e89e6013302d3ef103319331811d68e9b42db072b82242c3d7badfbd085b69333e770012def89dc8aae7a2eb SHA512 a87537274619b6de88a0e68555059036ac18c748b5005c8d84728646b0db342fde0b8c5b303b9ad79f64d71ea4ed990d52a4fbd68cda3ca74aed5fe4d497e060
DIST glib-2.66.0.tar.xz 4839236 BLAKE2B 930bf071bb4b1e744ca46cb5267d42772488030f848c7b11c5424fcef087ac27d070d20cf403ae504e573ce49faf26ce9101656391d3915ae04422d021d5561a SHA512 358e6a840b722139593eb7825c3aa70153eb26036e05d13d3286bcc6d2e962c2b4ddcb0fe5c6728b89bfffbd178101e72c576081ae714326a272a9fc34ed953e
+DIST glib-2.66.3.tar.xz 4837796 BLAKE2B 44632477b56bea5b6324deccc17e2d6b72e00dba518f9fc3ec5edad8b20df59f8bf9087e5de16b587b72c2f143d9ab650c478666132b1564da9bf333f380a4e3 SHA512 ab2670ae4eeb3b561c0e71ff9153908f450e430cd43771bfee09233a65826dc16462537ec64bdfcced867f4c8663341b6b9d17af5ba0fab8564b8f21b04a45d7
diff --git a/dev-util/gdbus-codegen/gdbus-codegen-2.66.3.ebuild b/dev-util/gdbus-codegen/gdbus-codegen-2.66.3.ebuild
new file mode 100644
index 000000000000..1338d9d838f7
--- /dev/null
+++ b/dev-util/gdbus-codegen/gdbus-codegen-2.66.3.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+GNOME_ORG_MODULE="glib"
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+PYTHON_REQ_USE="xml"
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit gnome.org distutils-r1
+
+DESCRIPTION="GDBus code and documentation generator"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+"
+
+S="${WORKDIR}/glib-${PV}/gio/gdbus-2.0/codegen"
+
+python_prepare_all() {
+ PATCHES=(
+ "${FILESDIR}/${PN}-2.56.1-sitedir.patch"
+ )
+ distutils-r1_python_prepare_all
+
+ local MAJOR_VERSION=$(ver_cut 1)
+ local MINOR_VERSION=$(ver_cut 2)
+ sed -e 's:@PYTHON@:python:' gdbus-codegen.in > gdbus-codegen || die
+ sed -e "s:@VERSION@:${PV}:" \
+ -e "s:@MAJOR_VERSION@:${MAJOR_VERSION}:" \
+ -e "s:@MINOR_VERSION@:${MINOR_VERSION}:" config.py.in > config.py || die
+ cp "${FILESDIR}/setup.py-2.32.4" setup.py || die "cp failed"
+ sed -e "s/@PV@/${PV}/" -i setup.py || die "sed setup.py failed"
+}
+
+do_xsltproc_command() {
+ # Taken from meson.build for manual manpage building - keep in sync (also copied to dev-util/glib-utils)
+ xsltproc \
+ --nonet \
+ --stringparam man.output.quietly 1 \
+ --stringparam funcsynopsis.style ansi \
+ --stringparam man.th.extra1.suppress 1 \
+ --stringparam man.authors.section.enabled 0 \
+ --stringparam man.copyright.section.enabled 0 \
+ -o "${2}" \
+ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+ "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ do_xsltproc_command "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.xml" "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
+
+src_test() {
+ einfo "Skipping tests. This package is tested by dev-libs/glib"
+ einfo "when merged with FEATURES=test"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all # no-op, but prevents QA warning
+ doman "${WORKDIR}/glib-${PV}/docs/reference/gio/gdbus-codegen.1"
+}
diff --git a/dev-util/glib-utils/Manifest b/dev-util/glib-utils/Manifest
index d03bf64f00d2..6336f5dac126 100644
--- a/dev-util/glib-utils/Manifest
+++ b/dev-util/glib-utils/Manifest
@@ -1,3 +1,4 @@
DIST glib-2.62.6.tar.xz 4703424 BLAKE2B 0a27245be2575c574dcc730dd051a8c284f421dbc46579aadc5fbbacb8f934af4374b61bb26085e5c9ab78a868c567818f3fb9d67adddce37f5c4fec00e0d276 SHA512 8e3972a371f3c1a50b7d245b30e4f740583ad72ba4ab325e0e15e0732be44dfb69b603fb39dcf4989255a23a181e9ea5dd25982dd94c386cd9f21952243ad6f5
DIST glib-2.64.5.tar.xz 4778456 BLAKE2B 7fdee0e16a7ac820f4c4f7dc66d37add464d3005e89e6013302d3ef103319331811d68e9b42db072b82242c3d7badfbd085b69333e770012def89dc8aae7a2eb SHA512 a87537274619b6de88a0e68555059036ac18c748b5005c8d84728646b0db342fde0b8c5b303b9ad79f64d71ea4ed990d52a4fbd68cda3ca74aed5fe4d497e060
DIST glib-2.66.2.tar.xz 4836456 BLAKE2B 5484a7fe497dbe06df7ce11dbc8836c95dbb01e6e309516b82158f2915eeee36ccbe6e904cb6ae9a5a0223ccc0b52f6e64d61a418bf790538bc90388430977b2 SHA512 30278c066c6b209f45fcfdb9ffc4732236451464506b93c0fff0964ff8aac58c15be85c3793c686d4740d9d97857984bc0ab71e38d5da11c5fd860e569fb6cb9
+DIST glib-2.66.3.tar.xz 4837796 BLAKE2B 44632477b56bea5b6324deccc17e2d6b72e00dba518f9fc3ec5edad8b20df59f8bf9087e5de16b587b72c2f143d9ab650c478666132b1564da9bf333f380a4e3 SHA512 ab2670ae4eeb3b561c0e71ff9153908f450e430cd43771bfee09233a65826dc16462537ec64bdfcced867f4c8663341b6b9d17af5ba0fab8564b8f21b04a45d7
diff --git a/dev-util/glib-utils/glib-utils-2.66.3.ebuild b/dev-util/glib-utils/glib-utils-2.66.3.ebuild
new file mode 100644
index 000000000000..a5c84a716b3c
--- /dev/null
+++ b/dev-util/glib-utils/glib-utils-2.66.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+GNOME_ORG_MODULE="glib"
+
+inherit gnome.org python-single-r1
+
+DESCRIPTION="Build utilities for GLib using projects"
+HOMEPAGE="https://www.gtk.org/"
+
+LICENSE="LGPL-2.1+"
+SLOT="0" # /usr/bin utilities that can't be parallel installed by their nature
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+
+RDEPEND="${PYTHON_DEPS}
+ !<dev-libs/glib-2.56.2:2
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+"
+
+src_configure() { :; }
+
+do_xsltproc_command() {
+ # Taken from meson.build for manual manpage building - keep in sync (also copied to dev-util/gdbus-codegen)
+ xsltproc \
+ --nonet \
+ --stringparam man.output.quietly 1 \
+ --stringparam funcsynopsis.style ansi \
+ --stringparam man.th.extra1.suppress 1 \
+ --stringparam man.authors.section.enabled 0 \
+ --stringparam man.copyright.section.enabled 0 \
+ -o "${2}" \
+ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
+ "${1}" || die "manpage generation failed"
+}
+
+src_compile() {
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g" gobject/glib-genmarshal.in > gobject/glib-genmarshal || die
+ sed -e "s:@VERSION@:${PV}:g;s:@PYTHON@:python:g" gobject/glib-mkenums.in > gobject/glib-mkenums || die
+ sed -e "s:@GLIB_VERSION@:${PV}:g;s:@PYTHON@:python:g" glib/gtester-report.in > glib/gtester-report || die
+ do_xsltproc_command docs/reference/gobject/glib-genmarshal.xml docs/reference/gobject/glib-genmarshal.1
+ do_xsltproc_command docs/reference/gobject/glib-mkenums.xml docs/reference/gobject/glib-mkenums.1
+ do_xsltproc_command docs/reference/glib/gtester-report.xml docs/reference/glib/gtester-report.1
+}
+
+src_install() {
+ python_fix_shebang gobject/glib-genmarshal
+ python_fix_shebang gobject/glib-mkenums
+ python_fix_shebang glib/gtester-report
+ exeinto /usr/bin
+ doexe gobject/glib-genmarshal
+ doexe gobject/glib-mkenums
+ doexe glib/gtester-report
+ doman docs/reference/gobject/glib-genmarshal.1
+ doman docs/reference/gobject/glib-mkenums.1
+ doman docs/reference/glib/gtester-report.1
+}
diff --git a/dev-util/gtk-doc-am/Manifest b/dev-util/gtk-doc-am/Manifest
index 483ebed1bbc6..79e8dddc85bf 100644
--- a/dev-util/gtk-doc-am/Manifest
+++ b/dev-util/gtk-doc-am/Manifest
@@ -1 +1,2 @@
DIST gtk-doc-1.32.tar.xz 762000 BLAKE2B e87b0ed5dffd04acc7569171343839a742a874438248546b1b85ca71102d5a546f41b450c5cedf54ecab5b7b6585a4dac36d7600b21b5cce491470a50f82d3b0 SHA512 6d28395968c2951f1685570e5778b5add76d1b9cff8fcb8632b200b3ba251602a1ea59b1def84fc28560988b87fc0dbbc6947af88d268db6ff23e9c28aea3b28
+DIST gtk-doc-1.33.1.tar.xz 768896 BLAKE2B 0d6cc32611618669aac4045942497a404f4d3ed703341cce56efefba439eb8595877297b76085c6a57d3d76710257153040b8f895d6dd6381502e852e6b82e93 SHA512 18620f0164382849980938103a9243abc35ea5a2628258f00e096e16a698b598d0c7fe80a1739fc689217c59a648c728a014bc672a92346c65768ebf89675b90
diff --git a/dev-util/gtk-doc-am/gtk-doc-am-1.33.1.ebuild b/dev-util/gtk-doc-am/gtk-doc-am-1.33.1.ebuild
new file mode 100644
index 000000000000..04df1f0818c7
--- /dev/null
+++ b/dev-util/gtk-doc-am/gtk-doc-am-1.33.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+GNOME_ORG_MODULE="gtk-doc"
+
+inherit gnome.org
+
+DESCRIPTION="Automake files from gtk-doc"
+HOMEPAGE="https://wiki.gnome.org/DocumentationProject/GtkDoc"
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="!<dev-util/gtk-doc-${GNOME_ORG_PVP}"
+PDEPEND="virtual/pkgconfig"
+
+# This ebuild doesn't even compile anything, causing tests to fail when updating (bug #316071)
+RESTRICT="test"
+
+src_configure() {
+ :
+}
+
+src_compile() {
+ :
+}
+
+src_install() {
+ insinto /usr/share/aclocal
+ doins buildsystems/autotools/gtk-doc.m4
+}
diff --git a/dev-util/gtk-doc/Manifest b/dev-util/gtk-doc/Manifest
index 483ebed1bbc6..79e8dddc85bf 100644
--- a/dev-util/gtk-doc/Manifest
+++ b/dev-util/gtk-doc/Manifest
@@ -1 +1,2 @@
DIST gtk-doc-1.32.tar.xz 762000 BLAKE2B e87b0ed5dffd04acc7569171343839a742a874438248546b1b85ca71102d5a546f41b450c5cedf54ecab5b7b6585a4dac36d7600b21b5cce491470a50f82d3b0 SHA512 6d28395968c2951f1685570e5778b5add76d1b9cff8fcb8632b200b3ba251602a1ea59b1def84fc28560988b87fc0dbbc6947af88d268db6ff23e9c28aea3b28
+DIST gtk-doc-1.33.1.tar.xz 768896 BLAKE2B 0d6cc32611618669aac4045942497a404f4d3ed703341cce56efefba439eb8595877297b76085c6a57d3d76710257153040b8f895d6dd6381502e852e6b82e93 SHA512 18620f0164382849980938103a9243abc35ea5a2628258f00e096e16a698b598d0c7fe80a1739fc689217c59a648c728a014bc672a92346c65768ebf89675b90
diff --git a/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild b/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild
new file mode 100644
index 000000000000..ae261b5596fc
--- /dev/null
+++ b/dev-util/gtk-doc/gtk-doc-1.33.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+inherit elisp-common gnome.org meson python-single-r1 readme.gentoo-r1
+
+DESCRIPTION="GTK+ Documentation Generator"
+HOMEPAGE="https://wiki.gnome.org/DocumentationProject/GtkDoc"
+
+LICENSE="GPL-2 FDL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+
+IUSE="doc emacs test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.38:2
+ dev-libs/libxslt
+ >=dev-libs/libxml2-2.3.6:2
+ ~app-text/docbook-xml-dtd-4.3
+ app-text/docbook-xsl-stylesheets
+ ~app-text/docbook-sgml-dtd-3.0
+ >=app-text/docbook-dsssl-stylesheets-1.40
+ emacs? ( >=app-editors/emacs-23.1:* )
+ $(python_gen_cond_dep '
+ dev-python/pygments[${PYTHON_MULTI_USEDEP}]
+ ')
+"
+DEPEND="${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ ')
+ )
+"
+BDEPEND="
+ ~dev-util/gtk-doc-am-${PV}
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # Remove global Emacs keybindings, bug #184588
+ "${FILESDIR}"/${PN}-1.8-emacs-keybindings.patch
+)
+
+pkg_setup() {
+ DOC_CONTENTS="gtk-doc does no longer define global key bindings for Emacs.
+ You may set your own key bindings for \"gtk-doc-insert\" and
+ \"gtk-doc-insert-section\" in your ~/.emacs file."
+ SITEFILE=61${PN}-gentoo.el
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # Requires the unpackaged Python "anytree" module
+ sed -i -e '/mkhtml2/d' "${S}"/tests/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use test tests)
+ $(meson_use doc yelp_manual)
+ -Dautotools_support=false
+ )
+ meson_src_configure
+}
+
+src_compile() {
+ meson_src_compile
+ use emacs && elisp-compile tools/gtk-doc.el
+}
+
+src_install() {
+ meson_src_install
+
+ python_fix_shebang "${ED}"/usr/bin/gtkdoc-depscan
+
+ if use emacs; then
+ elisp-install ${PN} tools/gtk-doc.el*
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+ readme.gentoo_create_doc
+ fi
+}
+
+pkg_postinst() {
+ if use emacs; then
+ elisp-site-regen
+ readme.gentoo_print_elog
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/dev-util/rocm-cmake/Manifest b/dev-util/rocm-cmake/Manifest
index 86ce26f868b7..f3b7fb465448 100644
--- a/dev-util/rocm-cmake/Manifest
+++ b/dev-util/rocm-cmake/Manifest
@@ -1,2 +1,3 @@
+DIST rocm-cmake-3.10.0.tar.gz 15825 BLAKE2B d54140431c5ce11250bd1b9fbdc03ce6de628a48e83fba89a93a4c6062319c52085ec036a7c1f2bf9605de3c276abfbec6864aea456ada5dfbde2f857da5394c SHA512 f58d17af522332b9a3366d47e44e61a361f83a3f5dcea6a410025e2383a1231435243ce123f5d8044e77b7572682be8d4d2a1f08d364e5be6a8cb25c4a8c4c69
DIST rocm-cmake-3.8.0.tar.gz 15823 BLAKE2B 321d31769cee254f9f9048104c7837fc6eb4a224d53e3e3ec18d5fa283f33cb116ece739a19f791cf62ac84f533933233461fd9e470b5c413363aa58fe23b57a SHA512 52e71033ef85b526edc00c1c11681c888ca7a50cf70a69f111ac2d7d32821340d8c812714a525711ff7ec54c8e7cbb79c4cb620a6e559699c509397ebf1b5886
DIST rocm-cmake-3.9.0.tar.gz 15815 BLAKE2B 86fedeb90ee27367b5fcfe842009055ef073932823fe54c9c6b7dfc7d08e92165c6cb4befebee347645777948b8c24de0c90f2547648cadbd34d39de2da540ef SHA512 bda392023494929ae743a81afdb4b802a3f7728a101ec06dd49c2e1d1165a2306d25beda6a4ea7dfc0aeeeee3f8bad8949d5c897618a362262570d6582c789db
diff --git a/dev-util/rocm-cmake/rocm-cmake-3.10.0.ebuild b/dev-util/rocm-cmake/rocm-cmake-3.10.0.ebuild
new file mode 100644
index 000000000000..a8e68baa5599
--- /dev/null
+++ b/dev-util/rocm-cmake/rocm-cmake-3.10.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/RadeonOpenCompute/rocm-cmake/"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/RadeonOpenCompute/rocm-cmake/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/rocm-cmake-rocm-${PV}"
+fi
+
+DESCRIPTION="Radeon Open Compute CMake Modules"
+HOMEPAGE="https://github.com/RadeonOpenCompute/rocm-cmake"
+LICENSE="MIT"
+SLOT="0"
+RESTRICT="test"
+
+src_prepare() {
+ sed -e "s:set(ROCM_INSTALL_LIBDIR lib):set(ROCM_INSTALL_LIBDIR $(get_libdir)):" -i "${S}/share/rocm/cmake/ROCMInstallTargets.cmake" || die
+ cmake_src_prepare
+}
diff --git a/games-util/steam-launcher/Manifest b/games-util/steam-launcher/Manifest
index 3a93a1410923..baad77293f63 100644
--- a/games-util/steam-launcher/Manifest
+++ b/games-util/steam-launcher/Manifest
@@ -1 +1 @@
-DIST steam_1.0.0.64.tar.gz 3013735 BLAKE2B f8e19a768ecc507fa503ad774ce2bbf31f79f8bbaf205d687153a523761cb067ae83b718a0954ec6389dbdc7b97001932163efd888de7c73a12e1dec7e429dab SHA512 4a287b993d0ba6f49041d116512a28ca827eeac280808b70542d304f0de2d489be1f75d66d614f65ae11686a78e0d026b12e983ead7843e9ad0a28f1d21bdf4c
+DIST steam_1.0.0.67.tar.gz 2959520 BLAKE2B 1a47f1d5a1fea7ba01c250f8765b2ee8bea87f0cd242ae52bdc78b51fb05c43c333efb667d3e7cf7b401a2fa5131efce176cead3c5ecdb214257fb2da75a36cf SHA512 74af8019b9d216c02860654e9a0162b1089b979e63bbe13645be2ee79414f896e9e57cbb85d762725756e99ed6333a75c8712a827dd88de2b3631bc119b6b0b8
diff --git a/games-util/steam-launcher/metadata.xml b/games-util/steam-launcher/metadata.xml
new file mode 100644
index 000000000000..907f2c278497
--- /dev/null
+++ b/games-util/steam-launcher/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>dev@kicherer.org</email>
+ <name>Mario Kicherer</name>
+ </maintainer>
+ <longdescription>
+ This ebuild installs common files for the Steam environment,
+ like bootstrap archive and icons, but not the client itself.
+ </longdescription>
+ <upstream>
+ <bugs-to>https://github.com/anyc/steam-overlay</bugs-to>
+ </upstream>
+ <use>
+ <flag name='steamruntime'>Use the official steam runtime libraries</flag>
+ </use>
+ <origin>steam-overlay</origin>
+</pkgmetadata>
diff --git a/games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild b/games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild
index 350d9e8c7d5b..87f35fafd126 100644
--- a/games-util/steam-launcher/steam-launcher-1.0.0.64.ebuild
+++ b/games-util/steam-launcher/steam-launcher-1.0.0.67.ebuild
@@ -6,16 +6,16 @@ EAPI=7
# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
# or come to #gentoo-gamerlay in freenode IRC
-inherit linux-info prefix udev xdg-utils
+inherit linux-info prefix xdg-utils
DESCRIPTION="Installer, launcher and supplementary files for Valve's Steam client"
HOMEPAGE="https://steampowered.com"
-SRC_URI="https://repo-steampowered-com.steamos.cloud/steam/pool/steam/s/steam/steam_${PV}.tar.gz"
+SRC_URI="https://repo.steampowered.com/steam/archive/precise/steam_${PV}.tar.gz"
LICENSE="ValveSteamLicense MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="+steamruntime"
+IUSE="+joystick +steamruntime +udev"
RESTRICT="bindist mirror test"
RDEPEND="
@@ -27,6 +27,9 @@ RDEPEND="
x11-terms/xterm
)
+ joystick? (
+ udev? ( games-util/game-device-udev-rules )
+ )
steamruntime? (
virtual/opengl[abi_x86_32]
x11-libs/libX11[abi_x86_32]
@@ -86,9 +89,6 @@ src_prepare() {
xdg_environment_reset
default
- sed -i 's:TAG+="uaccess":\0, TAG+="udev-acl":g' \
- subprojects/steam-devices/*.rules || die
-
sed \
-e "s#@@PVR@@#${PVR}#g" \
-e "s#@@GENTOO_LD_LIBRARY_PATH@@#$(multilib_path_entries debiancompat fltk)#g" \
@@ -110,14 +110,11 @@ src_install() {
dodoc README debian/changelog
doman steam.6
-
- udev_dorules subprojects/steam-devices/60-steam-{input,vr}.rules
}
pkg_postinst() {
xdg_icon_cache_update
xdg_desktop_database_update
- udev_reload
elog "Execute ${EPREFIX}/usr/bin/steam to download and install the actual"
elog "client into your home folder. After installation, the script"
diff --git a/gnome-base/gnome-desktop/Manifest b/gnome-base/gnome-desktop/Manifest
index fe0677c4f3df..7d6145586cf0 100644
--- a/gnome-base/gnome-desktop/Manifest
+++ b/gnome-base/gnome-desktop/Manifest
@@ -1,3 +1,4 @@
DIST gnome-desktop-3.36.5.tar.xz 738956 BLAKE2B 6c419df487e908f57a1dc8798a8dfe8b574d8c5c9aa5d83e45aed233ba856ba398367a990aa83fb1b8966aad02c868cd0e41805908863ea8fef24cc3ade3687c SHA512 0b5ad42c0832d58552270e9e24dabf56668c4fbb84d07812e4a2a34cff0a67344a7c8ee963a53a703b2e4bb28c67035bf2ce854ea271194511dc66e051481b1b
DIST gnome-desktop-3.36.7.tar.xz 739284 BLAKE2B fb64db72883ca6b5001b519f6ce3b5b26605e081530ff27728bc565e5d3ce832281adf3d10107e74028d14d9d1e5fa64f8e5d447c13690ff67aa3d2c2816c2e8 SHA512 20e3566ce1c36399a7fa359dd218f0357e1deef54ad613ce825d19f9266d98ed03c5ae59843100b36dcc6b3cdee8479ea9403514eb39e1f32d9b1fd4e53a7679
DIST gnome-desktop-3.38.1.tar.xz 745400 BLAKE2B 872b0cdd993ed8f8865ec02e8f4e818657f526caebb3cd1b772c1182a6655d1502f454b94acb0a1dc9e3a1b8f8b8308c5dcee7933a63600d7f8d93fa3876a1d2 SHA512 b3927f0b8571d2ecb528dbe3e096e816e4e90333ce4f1ab8682c8682bbaaf5fc3484dc0944a9437aca40036d29b0feace8ed3954fb17c0bfd7ce503c99af830b
+DIST gnome-desktop-3.38.2.tar.xz 745252 BLAKE2B cdbc3ae5bf78dfed0dcedfd83c01ab13f551c312d4eb5e680a9e22932d55ee9cf9334bec84cd99186d43afcf3fe707a12b469409d5c2094a8bbd8a1d36a75ed2 SHA512 93e98c10cac0f1c035af33fc61f945dfdbe12e88e4c42d44b5ba0570f8d81bb3f40f5e0d9fd6c4e4d9faf674f38ded0fc99dfffd57b824d62b92368df6239da8
diff --git a/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild b/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild
new file mode 100644
index 000000000000..f2127cb11f3b
--- /dev/null
+++ b/gnome-base/gnome-desktop/gnome-desktop-3.38.2.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson xdg
+
+DESCRIPTION="Library with common API for various GNOME modules"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gnome-desktop/"
+
+LICENSE="GPL-2+ LGPL-2+ FDL-1.1+"
+SLOT="3/19" # subslot = libgnome-desktop-3 soname version
+IUSE="debug gtk-doc +introspection seccomp systemd udev"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=x11-libs/gdk-pixbuf-2.36.5:2[introspection?]
+ >=x11-libs/gtk+-3.3.6:3[X,introspection?]
+ >=dev-libs/glib-2.53.0:2
+ >=gnome-base/gsettings-desktop-schemas-3.27.0[introspection?]
+ x11-misc/xkeyboard-config
+ app-text/iso-codes
+ systemd? ( sys-apps/systemd:= )
+ udev? (
+ sys-apps/hwids
+ virtual/libudev:= )
+ seccomp? ( sys-libs/libseccomp )
+
+ x11-libs/cairo:=
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${COMMON_DEPEND}
+ media-libs/fontconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ seccomp? ( sys-apps/bubblewrap )
+"
+BDEPEND="
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ gtk-doc? ( >=dev-util/gtk-doc-1.14 )
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ x11-base/xorg-proto
+ virtual/pkgconfig
+"
+# Includes X11/Xatom.h in libgnome-desktop/gnome-bg.c which comes from xorg-proto
+
+PATCHES=(
+ "${FILESDIR}"/3.32.2-optional-introspection.patch # add introspection meson option
+)
+
+src_prepare() {
+ # Don't build manual test programs that will never get run
+ sed -i -e "/'test-.*'/d" libgnome-desktop/meson.build || die
+ xdg_src_prepare
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dgnome_distributor=Gentoo
+ -Ddate_in_gnome_version=true
+ -Ddesktop_docs=true
+ $(meson_use debug debug_tools)
+ $(meson_use introspection)
+ $(meson_feature udev)
+ $(meson_feature systemd)
+ $(meson_use gtk-doc gtk_doc)
+ -Dinstalled_tests=false
+ )
+ meson_src_configure
+}
diff --git a/gnome-base/gnome-shell/Manifest b/gnome-base/gnome-shell/Manifest
index a6ac4f86d5df..3e4e4fceeaa9 100644
--- a/gnome-base/gnome-shell/Manifest
+++ b/gnome-base/gnome-shell/Manifest
@@ -1,3 +1,4 @@
DIST gnome-shell-3.36.7-patchset.tar.xz 6364 BLAKE2B 80a2e2a03e4cc3b15db6af872a2330c0921a63bcd03db78a970190fee93c982296b381d08ac4bd1cb5dbe5b14d9732e447445f5dcc06d607826a9026395f10bb SHA512 6f9145fd00117e6b4170e7457c83a8c3bbbbfc6086ce3bcd07813b5a4f05e58f42e889cc90799d6988af05fce9791a792e4d8d60ffe58818563c852f9923930d
DIST gnome-shell-3.36.7.tar.xz 1777236 BLAKE2B 4dd3b98e8a2ffa711bffe0b3b78708c85c1979122ee71e7e0d7c55626a608ba4598071bf8659338c960ba4b0349e5b621b97f294a4961cf021b9047753136af5 SHA512 7275d1e2d2629abd2fbfae910a77c25485464e39f8317ba1b0e8e1ae3368e69af4eb85c2611e82ea04270bfd8185e24f13002df9b13335adbdff144847790656
DIST gnome-shell-3.38.1.tar.xz 1812860 BLAKE2B d58dd9f5962d953f4bfa8aede62e24007185e0b4b82781c54cce87d8505657e01b0f76a9119b60634e6c723b7dd9320f5c56b984b59cc8fce61ad4a897291b44 SHA512 7ab580f892c4b4dac2fc8625343dfab1bf7a11e148dc01e6e805a5b1ac1d4cb17943b9a3058ec69fc086c270d76ef8073dca494991a5da1dcfa52b42dcc03f01
+DIST gnome-shell-3.38.2.tar.xz 1814152 BLAKE2B 765f584ad8f71ac185e9dc6683f1866308c126d8ce8ba9330068e324ea9586b57315cf7feade62eb4142bb3a4effd80c7e6e0d7b36b6c5fb7d547e3bff9c2ab2 SHA512 ac37549039a11f4f1b2cdd8b0f8cab72093efca74a5909ad187121565cce737c6a6f296c7241ac5f2174fdfcf11070f7584e713e244fafc911fe039d8fd05f04
diff --git a/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild b/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild
new file mode 100644
index 000000000000..da18d35726d0
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.38.2.ebuild
@@ -0,0 +1,186 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
+inherit gnome.org gnome2-utils meson python-single-r1 virtualx xdg
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +browser-extension elogind gtk-doc +ibus +networkmanager systemd telepathy"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ ?? ( elogind systemd )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# libXfixes-5.0 needed for pointer barriers and #include <X11/extensions/Xfixes.h>
+# FIXME:
+# * gstreamer/pipewire support is currently automagic
+DEPEND="
+ >=gnome-extra/evolution-data-server-3.33.1:=
+ >=app-crypt/gcr-3.7.5[introspection]
+ >=dev-libs/glib-2.57.2:2
+ >=dev-libs/gobject-introspection-1.49.1:=
+ >=dev-libs/gjs-1.65.1
+ >=x11-libs/gtk+-3.15.0:3[introspection]
+ >=x11-wm/mutter-3.38.0:0/7[introspection]
+ >=sys-auth/polkit-0.100[introspection]
+ >=gnome-base/gsettings-desktop-schemas-3.33.1
+ >=x11-libs/startup-notification-0.11
+ >=app-i18n/ibus-1.5.2
+ >=gnome-base/gnome-desktop-3.35.90:3=[introspection]
+ bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+ >=media-libs/gstreamer-0.11.92:1.0
+ media-libs/gst-plugins-base:1.0
+ >=media-video/pipewire-0.3.0:0/0.3
+ networkmanager? (
+ >=net-misc/networkmanager-1.10.4:=[introspection]
+ net-libs/libnma[introspection]
+ >=app-crypt/libsecret-0.18
+ dev-libs/dbus-glib )
+ systemd? ( >=sys-apps/systemd-31
+ >=gnome-base/gnome-desktop-3.34.2:3=[systemd] )
+ elogind? ( >=sys-auth/elogind-237 )
+ app-arch/gnome-autoar
+ dev-libs/json-glib
+
+ >=app-accessibility/at-spi2-atk-2.5.3
+ x11-libs/gdk-pixbuf:2[introspection]
+ dev-libs/libxml2:2
+ x11-libs/libX11
+
+ >=media-sound/pulseaudio-2[glib]
+ >=dev-libs/atk-2[introspection]
+ dev-libs/libical:=
+ >=x11-libs/libXfixes-5.0
+
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]
+ ')
+ media-libs/mesa[X(+)]
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+# grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Introspection stuff needed via imports.gi.*
+# 2. gnome-session needed for shutdown/reboot/inhibitors/etc
+# 3. Control shell settings
+# 4. logind interface needed for suspending support
+# 5. xdg-utils needed for xdg-open, used by extension tool
+# 6. adwaita-icon-theme needed for various icons & arrows (3.26 for new video-joined-displays-symbolic and co icons; review for 3.28+)
+# 7. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c # TODO: Review
+# 8. IBus is needed for nls integration
+# 9. Optional telepathy chat integration
+# 10. Cantarell font used in gnome-shell global CSS (if removing this for some reason, make sure it's pulled in somehow for non-meta users still too)
+# 11. TODO: semi-optional webkit-gtk[introspection] for captive portal helper
+RDEPEND="${DEPEND}
+ >=sys-apps/accountsservice-0.6.14[introspection]
+ app-accessibility/at-spi2-core:2[introspection]
+ app-misc/geoclue[introspection]
+ >=dev-libs/libgweather-3.26:2[introspection]
+ >=sys-power/upower-0.99:=[introspection]
+ x11-libs/pango[introspection]
+ gnome-base/librsvg:2[introspection]
+
+ >=gnome-base/gnome-session-2.91.91
+ >=gnome-base/gnome-settings-daemon-3.8.3
+
+ x11-misc/xdg-utils
+
+ >=x11-themes/adwaita-icon-theme-3.26
+
+ networkmanager? (
+ net-misc/mobile-broadband-provider-info
+ sys-libs/timezone-data )
+ ibus? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk,introspection] )
+ telepathy? (
+ >=net-im/telepathy-logger-0.2.4[introspection]
+ >=net-libs/telepathy-glib-0.19[introspection] )
+ media-fonts/cantarell
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+ >=gnome-base/gdm-3.5[introspection]
+ >=gnome-base/gnome-control-center-3.26[bluetooth(+)?,networkmanager(+)?]
+ browser-extension? ( gnome-extra/chrome-gnome-shell )
+"
+BDEPEND="
+ dev-lang/sassc
+ dev-libs/libxslt
+ app-text/asciidoc
+ >=dev-util/gdbus-codegen-2.45.3
+ dev-util/glib-utils
+ gtk-doc? ( >=dev-util/gtk-doc-1.17
+ app-text/docbook-xml-dtd:4.3 )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # Fix automagic gnome-bluetooth dep, bug #398145
+ "${FILESDIR}"/3.34-optional-bluetooth.patch
+ # Change favorites defaults, bug #479918
+ "${FILESDIR}"/3.36-defaults.patch
+)
+
+src_prepare() {
+ xdg_src_prepare
+ # Hack in correct python shebang
+ sed -e "s:python\.path():'/usr/bin/env ${EPYTHON}':" -i src/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_use bluetooth)
+ -Dextensions_tool=true
+ -Dextensions_app=true
+ $(meson_use gtk-doc gtk_doc)
+ -Dman=true
+ $(meson_use networkmanager)
+ $(meson_use systemd) # this controls journald integration and desktop file user services related property only as of 3.34.4
+ # (structured logging and having gnome-shell launched apps use its own identifier instead of gnome-session)
+ # suspend support is runtime optional via /run/systemd/seats presence and org.freedesktop.login1.Manager dbus interface; elogind should provide what's necessary
+ )
+ meson_src_configure
+}
+
+src_test() {
+ virtx meson_src_test
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+
+ if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+ ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+ ewarn "To make use of GNOME Shell's built-in screen recording utility,"
+ ewarn "you need to either install media-libs/gst-plugins-good:1.0"
+ ewarn "and media-plugins/gst-plugins-vpx:1.0, or use dconf-editor to change"
+ ewarn "apps.gnome-shell.recorder/pipeline to what you want to use."
+ fi
+
+ if ! has_version "media-libs/mesa[llvm]"; then
+ elog "llvmpipe is used as fallback when no 3D acceleration"
+ elog "is available. You will need to enable llvm USE for"
+ elog "media-libs/mesa if you do not have hardware 3D setup."
+ fi
+
+ # https://bugs.gentoo.org/show_bug.cgi?id=563084
+ # TODO: Is this still the case after various fixed in 3.28 for detecting non-working KMS for wayland (to fall back to X)?
+ if has_version "x11-drivers/nvidia-drivers[-kms]"; then
+ ewarn "You will need to enable kms support in x11-drivers/nvidia-drivers,"
+ ewarn "otherwise Gnome will fail to start"
+ fi
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
diff --git a/gnome-extra/gnome-shell-extensions/Manifest b/gnome-extra/gnome-shell-extensions/Manifest
index 023b8863c29f..d00dfadf2b06 100644
--- a/gnome-extra/gnome-shell-extensions/Manifest
+++ b/gnome-extra/gnome-shell-extensions/Manifest
@@ -1,2 +1,3 @@
DIST gnome-shell-extensions-3.36.7.tar.xz 207968 BLAKE2B 61e0e817af900d1a385d44cc3fe2a4d2fb89421aa692d9c02d92c6b841b7da248a267194e057fe5c9fb4e08a713bb72c657eb2fd4982b8bbcdb541644307d934 SHA512 b571f369dcd395d882b4afe5da213a52e3989b5e8e11886fd305d6c77a63ff73ed9d52eb7260ab7e880461354b882d659d28930176ca0aa8c1e75b4a39989997
DIST gnome-shell-extensions-3.38.1.tar.xz 209964 BLAKE2B 38fad074689aa93d0ca16a230db92417ef90363dc9f27be6c1692bc2296ff2019d0c42542f30d552f79c357795fad07e59bc508476b7cf09abfdeb5860487f0f SHA512 256dbb7ad4ae3b759afca85ae1c042f7b3f3cc46b2713f5a6f2f52d1cbc916a1fd8a634e20218a6eeb1baa6141f65c9c19170c5bfe2f7f677b679bbf78b3bce1
+DIST gnome-shell-extensions-3.38.2.tar.xz 209904 BLAKE2B b9a32e9c20046cb480dae3ed27791958799f534dc19026631290d2d0bcfac04955e77b2779f9a18e32d7ee56f837e8e17167bd40b575ff531b8cc328a9c0cc35 SHA512 5106946c10ea34b339ef413d5cf6bc3e1cd7f54f73b0ca773ae4076c1280e2b235327c9209e8269c5aca787035b489f73a76c7163380f191cb246c8591bc838c
diff --git a/gnome-extra/gnome-shell-extensions/gnome-shell-extensions-3.38.2.ebuild b/gnome-extra/gnome-shell-extensions/gnome-shell-extensions-3.38.2.ebuild
new file mode 100644
index 000000000000..00f4147943e1
--- /dev/null
+++ b/gnome-extra/gnome-shell-extensions/gnome-shell-extensions-3.38.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org readme.gentoo-r1 meson xdg
+
+DESCRIPTION="JavaScript extensions for GNOME Shell"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell/Extensions"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=dev-libs/glib-2.26:2
+ >=gnome-base/libgtop-2.28.3[introspection]
+ >=app-eselect/eselect-gnome-shell-extensions-20111211
+"
+RDEPEND="${DEPEND}
+ >=dev-libs/gjs-1.29
+ dev-libs/gobject-introspection:=
+ dev-libs/atk[introspection]
+ gnome-base/gnome-menus:3[introspection]
+ =gnome-base/gnome-shell-$(ver_cut 1-2)*
+ media-libs/clutter:1.0[introspection]
+ net-libs/telepathy-glib[introspection]
+ x11-libs/gdk-pixbuf:2[introspection]
+ x11-libs/gtk+:3[introspection]
+ x11-libs/pango[introspection]
+ x11-themes/adwaita-icon-theme
+ >=x11-wm/mutter-3.32[introspection]
+"
+BDEPEND="
+ dev-lang/sassc
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="Installed extensions installed are initially disabled by default.
+To change the system default and enable some extensions, you can use
+# eselect gnome-shell-extensions
+
+Alternatively, to enable/disable extensions on a per-user basis,
+you can use the https://extensions.gnome.org/ web interface, the
+gnome-extra/gnome-tweaks GUI, or modify the org.gnome.shell
+enabled-extensions gsettings key from the command line or a script."
+
+src_configure() {
+ meson_src_configure \
+ -Dextension_set=all \
+ -Dclassic_mode=true
+}
+
+src_install() {
+ meson_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+
+ readme.gentoo_print_elog
+}
diff --git a/gnome-extra/nemo-fileroller/Manifest b/gnome-extra/nemo-fileroller/Manifest
index 21000abd033a..eb25f7e430ae 100644
--- a/gnome-extra/nemo-fileroller/Manifest
+++ b/gnome-extra/nemo-fileroller/Manifest
@@ -1,2 +1,2 @@
-DIST nemo-extensions-4.6.0.tar.gz 754433 BLAKE2B 83ce84f78a1b991edc7eca156ce7ddb792b70e467004671a00a713227488ca96576c9ab280805eff71090dc47b6eecfdeec636aa4e20d046e38241cba95de987 SHA512 b496732b984f3d4f3fc93dc96ef65b711eaa55bb9c777c19ab224e7ab138f8c6784aa2f16e9a0cc77e79581ed7a04a439955369804dbf930b835df042d7dbd32
-EBUILD nemo-fileroller-4.6.0.ebuild 633 BLAKE2B 7b754a69a1fa0ce08c74eb153eec2fc791cf79b3ddccd8ec65f26a0326e40ea41825eab08632fb7d0eb2dd52f128350ced9ce703ae5ba77479f46dd3a37dc17a SHA512 31853fae4d30f41474523f2f253270744a41bed55fa8d2cd9d3f1e61190771f169247de33ef27ffb971e6c6e4be58014d321eb9f3c25e4810030efcbc2538b86
+DIST 3.2.0.tar.gz 1162843 BLAKE2B 79c864f4d74e2e8d382185abd16c873b64e745ac176a2aa162db37a86a3644d3f0d8ff83c6f2e2a1986d35dba18b5ce0769926a81afd8a193cf35c443f3a1097 SHA512 961aafd1f48033e538b6da2ceee11f98e4319944709b874ad78416790e7d42fd1a82e94a1625fbcd1dbf1fac52f7734be1f58684476e97a66ca63b13ccd7a626
+DIST 4.4.0.tar.gz 790589 BLAKE2B 655edfcfb99baf2b36cc8fea4ee12a1d2f6ed9740bbae0231d8e4daacbf8e2117cbcc12420c0d6eac56eb45dd91dd632e5544581b72063d7095ed6a4dc784c8c SHA512 5ca2cf57950986fdc0f3ed5962fa8ee914ac34bf46c702a0fe0323169060ae8f300406bcb5194fbf88b50aa41e6deb8fa2ee32fdf14eedb7fd9553b10240a2c9
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
new file mode 100644
index 000000000000..83a06b536884
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-3.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}[introspection]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
new file mode 100644
index 000000000000..a35d1af48b05
--- /dev/null
+++ b/gnome-extra/nemo-fileroller/nemo-fileroller-4.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="File Roller integration for Nemo"
+HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
+SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz"
+S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc"
+
+DEPEND="app-arch/file-roller
+ >=gnome-extra/nemo-${PV}"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ! -e configure ]] ; then
+ ./autogen.sh || die
+ fi
+}
diff --git a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild b/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
deleted file mode 100644
index 06de99fc4051..000000000000
--- a/gnome-extra/nemo-fileroller/nemo-fileroller-4.6.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Nemo file-roller integration"
-HOMEPAGE="https://github.com/linuxmint/nemo-extensions"
-SRC_URI="https://github.com/linuxmint/nemo-extensions/archive/${PV}.tar.gz -> nemo-extensions-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="gnome-extra/nemo"
-RDEPEND="${DEPEND}
- app-arch/file-roller"
-
-S="${WORKDIR}/nemo-extensions-${PV}/${PN}"
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_install() {
- default
-
- find "${D}" \( -name '*.a' -o -name '*.la' \) -delete || die
-}
diff --git a/net-analyzer/pypacker/pypacker-4.9.ebuild b/net-analyzer/pypacker/pypacker-4.9.ebuild
index faf49d584db1..a063ba5b09a7 100644
--- a/net-analyzer/pypacker/pypacker-4.9.ebuild
+++ b/net-analyzer/pypacker/pypacker-4.9.ebuild
@@ -2,7 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{5,6,7,8,9,10} )
+
inherit distutils-r1 vcs-snapshot
DESCRIPTION="Fast and simple packet creation and parsing library for Python"
diff --git a/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild b/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
index 8cefc8049226..7f950f433a25 100644
--- a/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
+++ b/sci-mathematics/alt-ergo/alt-ergo-2.3.0.ebuild
@@ -14,7 +14,7 @@ IUSE="examples gtk +ocamlopt"
DEPEND=">=dev-lang/ocaml-4.09.0[ocamlopt?]
dev-ml/zarith
- dev-ml/lablgtk:=[sourceview,ocamlopt?]
+ dev-ml/lablgtk:2[sourceview,ocamlopt?]
dev-ml/camlzip
sci-mathematics/psmt2-frontend
>=dev-ml/ocplib-simplex-0.4
diff --git a/sys-auth/pam_mount/Manifest b/sys-auth/pam_mount/Manifest
index 9ceb07e294c3..8da75b09b756 100644
--- a/sys-auth/pam_mount/Manifest
+++ b/sys-auth/pam_mount/Manifest
@@ -1 +1,2 @@
DIST pam_mount-2.16.tar.xz 312316 BLAKE2B 5954af8f8bf8b9cb47e1c07dc0d5fc5c4db099eeca5de90a3a53dc65aac0a2a6fba3f99c4d91d12f53b13abb5d3bae262b42536434553872a36ec108dc8d2c0c SHA512 3a579d7287cfcaef831d3e54d3e912407b65a966303e81c47f445d601f38f866ce04326e3d37a061f74f97b9cfb201e56109f57e55699d15d8f947ae2b91c8e3
+DIST pam_mount-2.17.tar.xz 326948 BLAKE2B b5d8c5701bfa4e3ce50ca71b1130d5f68655df12ac45cf554f38f2625b33fcece895d4b67d79cea2ad735c4994c779844dfc5266872e054a1e6d078632f3370c SHA512 d55d2a0e99d51ef649845548e4178b9b34db9c742c592e0ba97359646281af17795080e6ecb1a2a11bc680d31f2c77e69261f731de8f68e8602bcd838371927f
diff --git a/sys-auth/pam_mount/pam_mount-2.17.ebuild b/sys-auth/pam_mount/pam_mount-2.17.ebuild
new file mode 100644
index 000000000000..d536fca7fa5d
--- /dev/null
+++ b/sys-auth/pam_mount/pam_mount-2.17.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A PAM module that can mount volumes for a user session"
+HOMEPAGE="https://sourceforge.net/projects/pam-mount/"
+SRC_URI="mirror://sourceforge/pam-mount/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE="crypt libressl ssl selinux"
+
+DEPEND="
+ >=sys-libs/pam-0.99
+ >=sys-libs/libhx-3.12.1:=
+ >=sys-apps/util-linux-2.20:=
+ >=dev-libs/libxml2-2.6:=
+ >=dev-libs/libpcre-7:=
+ crypt? ( >=sys-fs/cryptsetup-1.1.0:= )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ )
+ selinux? ( sys-libs/libselinux )"
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/pam_mount-2.16-remove-obsolete-openssl-api.patch
+)
+
+src_configure() {
+ econf --with-slibdir="/$(get_libdir)" \
+ $(use_with crypt cryptsetup) \
+ $(use_with ssl crypto) \
+ $(use_with selinux)
+}
+
+src_install() {
+ default
+ use selinux || rm -r "${D}"/etc/selinux
+ dodoc doc/*.txt
+
+ # Remove unused nonstandard run-dir, current version uses
+ # FHS-compatible /run, but has leftover mkdir from old version
+ rm -r "${D}/var/lib"
+
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/sys-kernel/gentoo-kernel-bin/Manifest b/sys-kernel/gentoo-kernel-bin/Manifest
index 6e2c875ad586..9e9524bae02b 100644
--- a/sys-kernel/gentoo-kernel-bin/Manifest
+++ b/sys-kernel/gentoo-kernel-bin/Manifest
@@ -17,6 +17,7 @@ DIST gentoo-kernel-5.4.80-r1-1.amd64.xpak 61053571 BLAKE2B 24eebf676e1824b01aa6b
DIST gentoo-kernel-5.4.80-r1-1.arm64.xpak 56217629 BLAKE2B 217f015713b11e18467a87253af61d5ec0c976576fb0ab11b1d21e983472d8e86de23f04add9aa76ee9057e3ff9759ff21b84a7c2b24387b1ed8deb181f9bfe7 SHA512 b63b00991c5f6e67890b07ca75968078709e29ed1e06aa4f4c592573e09ef04bc8015337e43c56652b597ee5365e054b811e1e922f06d2c136084d6b0c2395fe
DIST gentoo-kernel-5.4.80-r1-1.x86.xpak 52880910 BLAKE2B f94a7bbdcdbd383e919f2542251d2552e50e34264ab495a43d75e28dab881162f2549b48383b32a3b2a813a192b7d9f602eaa8210085733ac123e2246e6a285b SHA512 3b5dd91103461306f4a4ea4554792d4cdabedba6165de119523b927abb2009adc7d554f23110ddeac1a1add69b2d1674b7b87b93b1e1b186a2594174808dd9d2
DIST gentoo-kernel-5.4.81-1.amd64.xpak 61059891 BLAKE2B 2a8aa181e46886f7a9faa3c9bf5d57d3d929bf5d21c1070a47668ef360dc961984b4436fc137220c430e6c79678d98cb1cbc9d48411daebd7eab958efc07c8e3 SHA512 d8e293efec047690e09046c3590f734dbf7afe879c9cb6229fdefde86ac08524ade3dec3aabda6ab3ef5e09e4b66d27783347c915638682d0c509fefb0262e05
+DIST gentoo-kernel-5.4.81-1.arm64.xpak 56277584 BLAKE2B 2443569a47d8d53652c0b400610e6a43947be7225fad4fd2de2e4a6fd1fd2b0cbfae15ebbf4df7e595caf2f4e6cef014d9ba7dc5e5a325a635866672fd44e2a0 SHA512 0468af376f36c1b3d7351c8242a4d08c46ce11189e33c059e2892b7cd8f126ad42a8256c056bb5db0f600c24a212651f512bec6b46531eaa0b5fd35093f8080b
DIST gentoo-kernel-5.4.81-1.x86.xpak 52879835 BLAKE2B bb93d0cd2280d7c7981e2330a405f00e7ef3aa906d6b52be8a03b0a7a71b9af3fb8bcd5af16adec36a198dc2d7f950759c800154afe14e3c29e8c276e0d3b013 SHA512 359fe6ec58b85f1cbb9780368582c332e2095f96b0363c04bc613cbe4f7fdbe3606e18571072b260ada8422d22088d0e50400975030c780581c56038d398b818
DIST gentoo-kernel-5.9.10-1.amd64.xpak 62950591 BLAKE2B 032e27aaaf9f622ce16b3ee699752215fe7485052bebdafddf2155aed370b6316be07eb009da3e207a9b12f8c7865c70c7466451b205cc4b4f374c731a815fd5 SHA512 7f504e2f15319d60f464a4e45edee9503316a100eec8a6258e27ec7a00a4d2a5cbf9ead4e77ae5342ea05778572fc8ecda94c63b425b99b6ac3a5f183e377bbb
DIST gentoo-kernel-5.9.10-1.arm64.xpak 60852046 BLAKE2B da0ee409eb47ae9bf570a08640bd060894974f5f09fb348b3d43c525f7d006f982a447ff9b17bc22969de929b05a316ee72668d40a20d8c3b8e2084588898416 SHA512 3ae82b223c97903a9c25abcad4a9f1f9e4ede68caf796833d9aa0c0cb23898c5b62e4023b8d3a00ff91cdd1f1ee8e82d51e9198454bf87ea16fed9c99147e202
@@ -25,6 +26,7 @@ DIST gentoo-kernel-5.9.11-1.amd64.xpak 62957405 BLAKE2B 0bca1ae3772d6cdd9d5cd1a8
DIST gentoo-kernel-5.9.11-1.arm64.xpak 60826912 BLAKE2B ab43a72729adca0520618669792b8840483c668d9ffd38afb2ff9902faea9e0e036edb9b7f5d86f3f05c7d8d154b42600a367068d25ce49f39a4aa021db05dfb SHA512 10b9cc509a39c2377e18f33c72aa6b7c2374a7208a591f51adda45645af6ce45961bbfe3961d227cc39dd17f4e48e9be359490baa102289bb3a262f51a54e304
DIST gentoo-kernel-5.9.11-1.x86.xpak 56006453 BLAKE2B b6cd2f09c96de87757557ed4ebea5cfb3fe998bd1bb0199b688740a79f24e23cd0739a8c2ca5290eb85c8690853f5c5683a6847a077a4a4f7d8f6ea360915ec3 SHA512 e09051027aa448b737658b2f0db8f88de5811751437e08cf628ecfa4df9e90ae12459768a9f3d047967087d183bb668b15d29e083ddb6418c7c5ac7140ccc067
DIST gentoo-kernel-5.9.12-1.amd64.xpak 62965041 BLAKE2B d9172f6bbf71a577aa54db9736c46e17b7dda2c032e0fc915ecd432cf2398a6ca2ff84b25e8fa9b66a8c42ecb7cb2d2e0d8874715aaf7926634ce2bf7e7fc5e4 SHA512 25f054ec467888bac76dba23b9cbce5b0f089ef94fcd46f984c8d6e3dfb2821cf8ab2b6c6ae78e948271914738cd73de71c7423d35e46b3084ecd85c925e7ea7
+DIST gentoo-kernel-5.9.12-1.arm64.xpak 60921892 BLAKE2B df1d0724b371d5363d92d94220825fbed4e549c8bec26ede850f08dda059af660ef7996ceed5c4fd6ca84563fe3d54919793603c4745442a9bf3ea37f54d1543 SHA512 b97b5cc504bf47424190d491057921ad3a9feb080b8b362fe0625213f814f20287410960e06f16b67f2c310923a791d072f3b0cc2acd8ef771914113c66f20be
DIST gentoo-kernel-5.9.12-1.x86.xpak 56011322 BLAKE2B b306e3b8d78130ef846faf27b6d994a9c7f7c1791b16c65f24cb351ef50adbd7324384aa4ce25f0504ace16f103c3a55c0d8a2b058b31a6538a20c5d0a385a85 SHA512 3b1ff4bddb116f069ed1f186a8ab4519ff9a0a075e81232ffea293da8a5e1b7c74a2103be3901d25fe161a2566a919c24377c76567dc3b9ed92cb4046293a831
DIST gentoo-kernel-5.9.8-1.amd64.xpak 63386669 BLAKE2B 6ebe70d1085d0ea33361ab398d076ba5bb3cd21aab1769d8a106978d7b320b993878fd32a59800997a5832483a19b3bce2e396b09ed25c0f34d5786ae9b7f90d SHA512 61f4d150f8fb5cca735e09ca8021ae972d953b0297dc52d9d623d1ee3f3d4a3e5cd7f98d39f785e279891373c9719166a5dad624ea16a9300c7c3fa7b0777aaf
DIST gentoo-kernel-5.9.8-1.arm64.xpak 61440507 BLAKE2B 4704fa85533e68763346f3b4ccd462473424404c1e8f0302a69300e48ccc265857c2911aa36b11b38a0fc908d5ba681c4d35038f5cee473172b83ab331075cff SHA512 0df3f58142b0015457de82134b4c3535f8826f6108ef8aa32e2097cc5294fab35a76135fd4a4fdaed50e2b52be149833bd3e9137546f5beca90c7861f3c0c579
diff --git a/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.81-r1.ebuild b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.81-r1.ebuild
new file mode 100644
index 000000000000..2378adc3f352
--- /dev/null
+++ b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.4.81-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-install
+
+MY_P=${P/-bin/}-1
+DESCRIPTION="Pre-built Linux kernel with genpatches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+="
+ amd64? (
+ https://dev.gentoo.org/~mgorny/binpkg/amd64/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.amd64.xpak
+ )
+ arm64? (
+ https://dev.gentoo.org/~sam/binpkg/arm64/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.arm64.xpak
+ )
+ x86? (
+ https://dev.gentoo.org/~mgorny/binpkg/x86/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.x86.xpak
+ )"
+S=${WORKDIR}
+
+LICENSE="GPL-2"
+KEYWORDS="~arm64"
+
+RDEPEND="
+ !sys-kernel/gentoo-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+
+QA_PREBUILT='*'
+
+pkg_pretend() {
+ ewarn "Starting with 5.4.52, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_unpack() {
+ ebegin "Unpacking ${MY_P}.${ARCH}.xpak"
+ tar -x < <(xz -c -d --single-stream "${DISTDIR}/${MY_P}.${ARCH}.xpak")
+ eend ${?} || die "Unpacking ${MY_P} failed"
+}
+
+src_test() {
+ kernel-install_test "${PV}" \
+ "${WORKDIR}/usr/src/linux-${PV}/$(kernel-install_get_image_path)" \
+ "lib/modules/${PV}"
+}
+
+src_install() {
+ mv * "${ED}" || die
+}
diff --git a/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.9.12-r1.ebuild b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.9.12-r1.ebuild
new file mode 100644
index 000000000000..ad9181bc4960
--- /dev/null
+++ b/sys-kernel/gentoo-kernel-bin/gentoo-kernel-bin-5.9.12-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-install
+
+MY_P=${P/-bin/}-1
+DESCRIPTION="Pre-built Linux kernel with genpatches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+="
+ arm64? (
+ https://dev.gentoo.org/~sam/binpkg/arm64/kernel/sys-kernel/gentoo-kernel/${MY_P}.xpak
+ -> ${MY_P}.arm64.xpak
+ )"
+S=${WORKDIR}
+
+LICENSE="GPL-2"
+KEYWORDS="~arm64"
+
+RDEPEND="
+ !sys-kernel/gentoo-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+
+QA_PREBUILT='*'
+
+pkg_pretend() {
+ ewarn "Starting with 5.7.9, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_unpack() {
+ ebegin "Unpacking ${MY_P}.${ARCH}.xpak"
+ tar -x < <(xz -c -d --single-stream "${DISTDIR}/${MY_P}.${ARCH}.xpak")
+ eend ${?} || die "Unpacking ${MY_P} failed"
+}
+
+src_test() {
+ kernel-install_test "${PV}" \
+ "${WORKDIR}/usr/src/linux-${PV}/$(kernel-install_get_image_path)" \
+ "lib/modules/${PV}"
+}
+
+src_install() {
+ mv * "${ED}" || die
+}
diff --git a/www-apache/libapreq2/libapreq2-2.15.ebuild b/www-apache/libapreq2/libapreq2-2.15-r1.ebuild
index 03aadcb290e7..84e5b1b4d38f 100644
--- a/www-apache/libapreq2/libapreq2-2.15.ebuild
+++ b/www-apache/libapreq2/libapreq2-2.15-r1.ebuild
@@ -16,6 +16,11 @@ IUSE="perl test"
RESTRICT="!test? ( test )"
RDEPEND="
+ || (
+ dev-libs/apr-util[openssl]
+ dev-libs/apr-util[libressl]
+ dev-libs/apr-util[nss]
+ )
perl? (
>=dev-perl/ExtUtils-XSBuilder-0.23
virtual/perl-version
diff --git a/x11-libs/libxcb/libxcb-1.14.ebuild b/x11-libs/libxcb/libxcb-1.14.ebuild
index 35a59771258d..085c4c886074 100644
--- a/x11-libs/libxcb/libxcb-1.14.ebuild
+++ b/x11-libs/libxcb/libxcb-1.14.ebuild
@@ -26,6 +26,7 @@ RDEPEND="
# Note: ${PYTHON_USEDEP} needs to go verbatim
DEPEND="${RDEPEND}
>=x11-base/xcb-proto-1.14[${MULTILIB_USEDEP}]
+ elibc_Darwin? ( dev-libs/libpthread-stubs )
test? ( dev-libs/check[${MULTILIB_USEDEP}] )
doc? ( app-doc/doxygen[dot] )
dev-libs/libxslt
diff --git a/x11-wm/mutter/Manifest b/x11-wm/mutter/Manifest
index 894413934630..ab3b70db8b9b 100644
--- a/x11-wm/mutter/Manifest
+++ b/x11-wm/mutter/Manifest
@@ -1,3 +1,4 @@
DIST mutter-3.36.7-patchset.tar.xz 14232 BLAKE2B 90a289f7012e28607d487fd635b73683e657bfd8792dbf662f8822ac7f096d21add6fcd3b7092e4e82f2130226f5b1ff9afd1e026fec8333680c9b4e4712dea2 SHA512 74e3951358a02c552a45b590360b9a038283e983ff78daf433fea1589ca3e7824f21af3b786a06ba84fb400581dfc4f97f29d259afdaca2ae3e1456a49a96243
DIST mutter-3.36.7.tar.xz 2689176 BLAKE2B a3849b254dbe2029736ef760fe4225e63bf1d87bf2856a87682574904bd047822916485a3e00d2760118132466414b68764731ea4af9add5d734fd7ce3eac730 SHA512 6061cc8a3bdefe57049f9da757b9a33321b28ff7bc9543bc1db3abd75c7261bf233180fb1e8a2f76145dd67ebda91c48981f6e844a866ef6cbb66203af4b7ef7
DIST mutter-3.38.1.tar.xz 2618944 BLAKE2B 2b7d0baea765a2680e8610553fcf5944af275d4533af61d719ca922c21a400ce771bf7a23093e8fa224453c1fddea6f718b1cfaaac6f079c993cdca5f721bf2d SHA512 55a65d80c886b90da110de69fca8f2c92912b36d6244bd6fcb1e09507469b5d860fa888614a33170b2799574f521ee117fb289a768fa2af5059fe0da51835d31
+DIST mutter-3.38.2.tar.xz 2621648 BLAKE2B 93ddeaa8b1c09ac0cd711513cb755eb94b72c1c44a751e2c6656dd3415fcb278d22e92577400df9443ece0e3dd1bc77adc88d1a24d59bb911ce8114e53340cae SHA512 8bd826fdb643bc966f6b7c38ed12cec9806440bf9cf4792cb90aa62dd96d2fd1018be39148ebd4432ba799cfdd30ed5c3952620ca13b9fac933fb0a477c9937a
diff --git a/x11-wm/mutter/mutter-3.38.2.ebuild b/x11-wm/mutter/mutter-3.38.2.ebuild
new file mode 100644
index 000000000000..567a541821bc
--- /dev/null
+++ b/x11-wm/mutter/mutter-3.38.2.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson virtualx xdg
+
+DESCRIPTION="GNOME 3 compositing window manager based on Clutter"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/mutter/"
+
+LICENSE="GPL-2+"
+SLOT="0/7" # 0/libmutter_api_version - ONLY gnome-shell (or anything using mutter-clutter-<api_version>.pc) should use the subslot
+
+IUSE="elogind input_devices_wacom +introspection screencast +sysprof systemd test udev wayland"
+# native backend requires gles3 for hybrid graphics blitting support, udev and a logind provider
+REQUIRED_USE="
+ wayland? ( ^^ ( elogind systemd ) udev )
+ test? ( wayland )"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# gnome-settings-daemon is build checked, but used at runtime only for org.gnome.settings-daemon.peripherals.keyboard gschema
+# xorg-server is needed at build and runtime with USE=wayland for Xwayland
+# v3.32.2 has many excessive or unused *_req variables declared, thus currently the dep order ignores those and goes via dependency() call order
+DEPEND="
+ x11-libs/libX11
+ >=media-libs/graphene-1.9.3[introspection?]
+ >=x11-libs/gtk+-3.19.8:3[X,introspection?]
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/pango-1.30[introspection?]
+ >=dev-libs/fribidi-1.0.0
+ >=x11-libs/cairo-1.14[X]
+ >=gnome-base/gsettings-desktop-schemas-3.37.2[introspection?]
+ >=dev-libs/glib-2.61.1:2
+ gnome-base/gnome-settings-daemon
+ >=dev-libs/json-glib-0.12.0[introspection?]
+ gnome-base/gnome-desktop:3=
+ >=x11-libs/libXcomposite-0.4
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ >=x11-libs/libXfixes-3
+ >=x11-libs/libXi-1.7.4
+ x11-libs/libXtst
+ x11-libs/libxkbfile
+ x11-misc/xkeyboard-config
+ >=x11-libs/libxkbcommon-0.4.3[X]
+ x11-libs/libXrender
+ >=x11-libs/libXrandr-1.5.0
+ x11-libs/libxcb
+ x11-libs/libXinerama
+ x11-libs/libXau
+ x11-libs/libICE
+ >=dev-libs/atk-2.5.3[introspection?]
+ >=media-libs/libcanberra-0.26
+ sys-apps/dbus
+ media-libs/mesa[X(+),egl]
+ wayland? (
+ >=dev-libs/wayland-protocols-1.19
+ >=dev-libs/wayland-1.18.0
+ x11-libs/libdrm:=
+ >=media-libs/mesa-17.3[egl,gbm,wayland,gles2]
+ >=dev-libs/libinput-1.7
+ systemd? ( sys-apps/systemd )
+ elogind? ( sys-auth/elogind )
+ x11-base/xorg-server[wayland]
+ )
+ udev? ( >=dev-libs/libgudev-232:=
+ >=virtual/libudev-232-r1:= )
+ x11-libs/libSM
+ input_devices_wacom? ( >=dev-libs/libwacom-0.13 )
+ >=x11-libs/startup-notification-0.7
+ screencast? ( >=media-video/pipewire-0.3.0:0/0.3 )
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+RDEPEND="${DEPEND}
+ gnome-extra/zenity
+"
+DEPEND="${DEPEND}
+ x11-base/xorg-proto
+ sysprof? (
+ >=dev-util/sysprof-common-3.38.0
+ >=dev-util/sysprof-capture-3.38.0:4
+ )
+"
+# wayland bdepend for wayland-scanner, xorg-server for cvt utility
+BDEPEND="
+ dev-libs/wayland
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ test? ( app-text/docbook-xml-dtd:4.5 )
+ wayland? ( >=sys-kernel/linux-headers-4.4
+ x11-base/xorg-server )
+"
+
+src_configure() {
+ # TODO: Replicate debug vs release meson build type behaviour under our buildtype=plain
+ local emesonargs=(
+ -Dopengl=true
+ #opengl_libname
+ #gles2_libname
+ $(meson_use wayland gles2)
+ -Degl=true
+ -Dglx=true
+ $(meson_use wayland)
+ $(meson_use wayland native_backend)
+ $(meson_use screencast remote_desktop)
+ -Degl_device=false # This should be dependent on wayland,video_drivers_nvidia, once eglstream support is there
+ -Dwayland_eglstream=false # requires packages egl-wayland for wayland-eglstream-protocols.pc
+ $(meson_use udev)
+ $(meson_use input_devices_wacom libwacom)
+ -Dpango_ft2=true
+ -Dstartup_notification=true
+ -Dsm=true
+ $(meson_use introspection)
+ $(meson_use test cogl_tests)
+ $(meson_use wayland core_tests) # core tests require wayland; overall -Dtests option is honored on top, so no extra conditional needed
+ $(meson_use test clutter_tests)
+ $(meson_use test tests)
+ $(meson_use sysprof profiler)
+ -Dinstalled_tests=false
+ #verbose # Let upstream choose default for verbose mode
+ #xwayland_path
+ # TODO: relies on default settings, but in Gentoo we might have some more packages we want to give Xgrab access (mostly virtual managers and remote desktops)
+ #xwayland_grab_default_access_rules
+ )
+ meson_src_configure
+}
+
+src_test() {
+ glib-compile-schemas "${BUILD_DIR}"/data
+ GSETTINGS_SCHEMA_DIR="${BUILD_DIR}"/data virtx meson_src_test
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}